###################################################################
#
# This stage is for w-agora
#
###################################################################
export LANG=C

if [ -r /tmp/SeTT_PX ]; then
  ROOT="`cat /tmp/SeTT_PX`"
fi

APACI_DIR=$ROOT/opt/apache
PHP_DIR=$ROOT/opt/php4

( cd $APACI_DIR/htdocs/w-agora; \
  chown -R wadm.apache .; \
  chmod -R g+w conf/ forums/ )

/bin/su - postgres -c "sh $ROOT/opt/apache/htdocs/w-agora/create_agora_db"


# ( DONOT CHANGE THE NEXT ONE LINE )
# Add W-AGORA-4 Entry to Apache document index.
if [ -f $APACI_DIR/htdocs/contents.list ]; then
  if ! fgrep "W-Agora-4.1.4" $APACI_DIR/htdocs/contents.list 1> /dev/null 2>&1; then

    cat >> $APACI_DIR/htdocs/contents.list <<EOL

    <P ALIGN="CENTER"> W-Agora-4.1.4
    ( <A
	HREF="http://www.w-agora.net/"
      >http://www.w-agora.net/</A>
    )<BR>
     (Share/Publish Informations or Discussions over the Web)<BR>
     <A
      HREF="/w-agora/doc/"
     >documents</A>
     <A
      HREF="/w-agora/"
     >execution</A>
     <font size="small"><A
      HREF="/w-agora/setup.php"
     >setup</A></font>
    </P>
EOL
  fi
else
  awk '/Add W-AGORA-4 Entry/,/#EOS2' $ROOT/install/doinst.sh >> /tmp/add_apache_test.sh
fi
#EOS2

