<?php

/*
 *	W-AGORA 4.0
 *	-----------
 *	$Id: admin.php,v 1.20 2002/06/10 14:54:29 mdruilhe Exp $
 *	Usage:		Administration of w-agora - Main entry page => choose a site
 *	Author:		Marc Druilhe <mdruilhe@w-agora.com>
 */	

$ext = "php";

# if site has been selected : redirect to admin_site
# --------------------------------------------------
	if (!empty($site) && ($site!="agora") ) {
		header ("Location: admin_site.$ext?site=$site");
		exit;
	}

	if (!empty($bn) ) {
		header ("Location: admin_forum.$ext?site=$site&bn=$bn");
		exit;
	}

# No site defined => default to "agora" main site
# ------------------------------------------------
	$site="agora";
	define("no_auth_required", 1);
	require ("init_admin.inc");

# read site administration configuration
# --------------------------------------
	include ("$site_cfg_file");
	if (empty($bn_msgs) ) {
		include ("$bn_dir_default/site_msgs.$ext");
	} else {
		include "$bn_dir/$bn_msgs";
	}

	display_header (TITLE_SITE_MANAGEMENT);

# list all sites from the main database
# -------------------------------------
	$WA_SELF = "admin_site.$ext";
	$sites = $db->listForums ("agora");
	if (is_array($sites)) {
		$label_wa = LABEL_AGORA_WEBSITE;
		echo "<table border=0 width=100%><tr><td width=200 valign=top>";
		echo "<center><a href='http://www.w-agora.net' target='_top'><IMG SRC='images/logo1_admin.jpg' border=0 alt=$label_wa></a></center><br>";
		
		echo "<center><a href='index.$ext?about'>W-Agora infos</a></center><br>";

		echo "<table width=90% cellpadding=3 align=center><tr><td bgcolor=#d0dae6 align=center>&nbsp;";
		displayURL("admin.$ext?lang=da", "_parent", "<img height=16 width=30 src=images/flag_da.png border=0 align=absmiddle alt='W-Agora p&aring; dansk'>", 'W-Agora p&aring; dansk'); 
		echo "&nbsp;&nbsp;";
		displayURL("admin.$ext?lang=fr", "_parent", "<img height=16 width=30 src=images/flag_fr.png border=0 align=absmiddle alt='W-Agora en franais'>", 'W-Agora en franais'); 
		echo "&nbsp;&nbsp;";
		displayURL("admin.$ext?lang=en", "_parent", "<img height=16 width=30 src=images/flag_en.png border=0 align=absmiddle alt='W-Agora in English'>", 'W-Agora in English');
		echo "&nbsp;&nbsp;";
		displayURL("admin.$ext?lang=de", "_parent", "<img height=16 width=30 src=images/flag_de.png border=0 align=absmiddle alt='W-Agora in Deutsch'>", 'W-Agora in Deutsch');
		echo "&nbsp;&nbsp;";
		displayURL("admin.$ext?lang=ja", "_parent", "<img height=16 width=30 src=images/flag_ja.png border=0 align=absmiddle alt='W-Agora in Japanese'>", 'W-Agora in Japanese');
		echo "</td></tr></table><br>";

		echo "<TABLE width=90% cellspacing=1 cellpadding=0 align='center'><TR><TD BGCOLOR='#d0dae6' colspan=2><TABLE cellpadding=1 width=100%><TR><TD bgcolor=white class=label align=center>" . TITLE_SITE_OUTLINE . "</TD></TR></TABLE></TD></TR></table>";
		echo "<table width=90%>";
		echo "<tr><td width=2 valign=top><li></td><td><a href='editform.$ext?site=agora&file=header' class=menu>" . LABEL_HEADER . "</a></td></tr>";
		echo "<tr><td width=2 valign=top><li></td><td><a href='editlist.$ext?site=agora' class=menu>" . LABEL_SITES_OUTLINE . "</a></td></tr>";
		echo "<tr><td width=2 valign=top><li></td><td><a href='editform.$ext?site=agora&file=footer' class=menu>" . LABEL_FOOTER . "</a></td></tr>";
		echo "<tr><td width=2 valign=top><li></td><td><a href='editform.$ext?site=agora&file=style' class=menu>" . LABEL_STYLESHEET . "</a></td></tr>";
		echo "</table>";
		echo "</td><td>";
		table_header(
			LABEL_SITES_AVAILABLE . "<div align=right>&nbsp;&nbsp;&nbsp;<a href=create_site.$ext>" . LABEL_CREATE_SITE . "</a></div>");
		echo "<TABLE BORDER='0' WIDTH='100%' CELLPADDING='4' CELLSPACING='0'>";
		echo "<TR><TH align=left>" . COLUMN_NAME . "</TH><TH align=left>" . COLUMN_TITLE . "</TH><TH align=center>" . COLUMN_DELETE . "</TH><TH align=center>" . COLUMN_EDIT . "</TH></TR>";

		reset($sites);
		while (list($name, $site) = each($sites)) {
			$title = $site["bn_title"];
			$descr = $site["descr"];
			$bn_name = $site["bn_name"];
			echo "<TR><TD width='20%'>";
			displayUrl ("admin_site.${ext}?site=$bn_name&bn=", "", $name);
			echo "</td><td><dt>$title</dt><dd><font size=1>$descr</font></dd></td><td align='center' valign='middle'>";
			displayUrl ("delete_site.${ext}?site=$bn_name&bn=", "", "<img src='$icon_dir/delete.gif' align='absmiddle' border=0 alt='" . MSG_DELETE_SITE . "\"" . $bn_name . "\"'>");
			echo "</td><td align='center' valign='middle'>";
			displayUrl ("edit_site.${ext}?site=$bn_name&bn=", "", "<img src='$icon_dir/edit.gif' border=0 align='absmiddle' alt='" . MSG_EDIT_SITE . "\"" . $bn_name . "\"'>");
			echo "</td></tr>\n";
		}
		echo "</table>";
		echo "</td></tr></table>";
		table_footer();
	} else {
		msgForm (ERROR_NO_SITE, "create_site.${ext}");
	}
?>
