<?php

/*
 *	W-AGORA 4.0
 *	-----------
 *	$Id: browse.php,v 1.7 2002/05/02 16:56:27 mdruilhe Exp $
 *	Usage:	Browse the server
 *	Author:	Marc Druilhe <mdruilhe@w-agora.net>
 */

	$bn_action="browse";
	$bn_action_mode="L";

	include "init.inc";

	function BrowseDir ($dir) {
		global $WA_SELF, $bn, $bn_browse_dir;
		global $icon_dir, $img_dir;

		if (file_exists($dir) && !is_dir($dir)) return (-1);

		if (!ereg ($bn_browse_dir, $dir)) return (-2);

		$dir = ereg_replace ("/$", "", $dir);

		$d = dir($dir);
		if (!$d) return (-2);

		while ($entries[]=$d->read() ) {}
		$d->close();

		sort ($entries);

		echo "<h2 align=\"center\"><em>$msg[25] $dir</em></h2>";

		while ($entry = next($entries)) {
			if ($entry == ".") {
				continue;
			}
			if (($entry == "..") && ($dir == $bn_browse_dir)) {
				continue;
			}
			$path = $dir."/".$entry;
			if ($entry == "..") {
				echo "<i><a href=\"$WA_SELF?bn=$bn&dir=" . urlencode($path)."\"><IMG SRC=\"$img_dir/back.gif\" ALT=\"[DIR]\" BORDER=0>$entry</a></i><br>\n";
			} elseif (is_dir($path)) {
				echo "<i><a href=\"$WA_SELF?bn=$bn&dir=" . urlencode($path)."\"><IMG SRC=\"$img_dir/folder.gif\" ALT=\"[DIR]\" BORDER=0>$entry</a></i><br>\n";
			} else {
				echo "<a href=\"$WA_SELF?bn=$bn&dir=" . urlencode($path) . "\"><IMG SRC=\"$img_dir/unknown.gif\" ALT=\"[	 ]\" BORDER=0>$entry</a><br>\n";
			}
		}
		return 0;
	}

	display_header (LABEL_BROWSE_SERVER, false);

	if (!$bn_browse_server) {
		msgForm (ERROR_NO_BROWSE_SERVER, "post.$ext", LABEL_CLOSE);
		exit;
	}

	if (!$dir) {
		$dir = $bn_browse_dir;
	}

	$ret = BrowseDir ($dir);
	if ($ret == -1) {
		beginForm();
		print '<center>';
		textField ('path', $dir, 50);
		print '<br>'. getButton ('', msg(58), "opener.document.form0.server_file.value='$dir';window.close()");
		backButton ('', msg(43));
		print getButton ('', msg(44), 'window.close()');
		print '</CENTER></FORM>';
		exit;
	} elseif ($ret == -2) {
		msgForm (msg(15), $WA_SELF, 'back');
		exit;
	}

	beginForm();
	print '<center>';
	backButton ('', msg(43));
	print getButton ('', msg(44), 'window.close()');
	print '</CENTER></FORM>';
	display_footer(false);
?>
