<?php

/*
 *	W-AGORA 4.0
 *	-----------
 *	$Id: change_password.php,v 1.9 2002/03/10 22:12:03 mdruilhe Exp $
 *	Usage:		Allows the user to change his password
 *	Author:		Marc Druilhe <mdruilhe@w-agora.net>
 *
 */

$no_cookie=1;
require ("init.inc");

# Send to change password page if defined
# --------------------------------
	$newURL = $auth->getChangePasswordURL();
	if (is_string($newURL)) {
		if (empty($newURL))
			msgForm (msg(185, ERROR_FEATURE_DISABLED), "$WA_SELF", 'back');
		else
        		header("Location: $newURL");
		exit;
	}

# If Creation form have been submitted
# ------------------------------------
if (isset($newpasswd2)) {

#	Check for required fields
#	-------------------------
	if (empty ($newpasswd1) || ($newpasswd1 != $newpasswd2)) {
		MsgForm (msg(93,LABEL_NEW_PASSWORD_TWICE), "$WA_SELF", 'back');
		exit;
	}

#	Check userid / password
#	-----------------------
	$u = $db->getUser($site, $userid);
	if (is_array($u) && ( $is_administrator || (md5($passwd) == $u["password"]) ) ) {


#  Update password for this user in the users table
#  ------------------------------------------------

#		1. for the current site
#		-----------------------
		$u_fields["password"] = md5($newpasswd1);
		$ret = $db->updateUser ($site, $userid, $u_fields);

#		2. then the main site for administrators.
#		-----------------------------------------
		if ( ($u["userpriv"] == "admin") || ($u["userpriv"] == "root") ) {
			$db->updateUser ("agora", $userid, $u_fields);
		}

#		3. then for all sites for 'admin'
#		---------------------------------
		if ($u["userpriv"] == "root") {
			$sites = $db->listForums ("agora");
			while (is_array($sites) && list(, $s) = each($sites)) {
				$db->updateUser ($s["bn_name"], $userid, $u_fields);
			}
		}

		if ($ret < 0) {
			msgForm (msg(94,sprintf(ERROR_NO_PASSWORD_CHANGE, $userid)), "$WA_SELF?site=$site", 'back');
		} else {
			if (isset($auth) && ($auth->userid == $userid) ) {
				$auth->authenticate ($userid, $newpasswd1);
			}
			msgForm (msg(95,LABEL_PASSWORD_CHANGED), "$main_page?site=$site&bn=$bn", "", ($bn_frames==1)?"_parent":"");
		}
		exit;
	} else {
		display_header (msg(89, ERROR_INVALID_LOGIN_PASSWORD), $header_footer);
	}

} else {
	display_header (LABEL_CHANGE_PASSWORD, $header_footer);
}

#  -------------------------------------------
#  Initialize default values then display FORM
#  -------------------------------------------

	$userid = (isset($userid)) ? $userid : ( (isset($auth) && ($auth->userid!="guest") ) ? $auth->userid : "");
	beginForm();

	if ($is_administrator) {
		table_header (TITLE_CHANGE_USER_PASSWORD, 500);
?>
 <TABLE BORDER="0" WIDTH="100%">
  <TR>
   <TD WIDTH="40%" ALIGN="RIGHT" VALIGN="MIDDLE"><strong><?dspMsg(96, LABEL_USER_LOGIN);?></strong></TD>
   <TD><?textField ("userid", $userid, 20, 32);?></TD>
  </TR>
  <TR>
   <TD WIDTH="40%" ALIGN="RIGHT" VALIGN="MIDDLE"><strong><?dspMsg(97, LABEL_USER_NEW_PASSWORD);?></strong></TD>
   <TD><?passwordField ("newpasswd1", "", 20, 32);?></TD>
  </TR>
  <TR>
   <TD WIDTH="40%" ALIGN="RIGHT" VALIGN="MIDDLE"><strong><?dspMsg(98, LABEL_USER_NEW_PASSWORD_AGAIN);?></strong></TD>
   <TD><?passwordField ("newpasswd2", "", 20, 32);?></TD>
  </TR>
 </TABLE>
 <br>
 <center>
  <INPUT TYPE="submit" VALUE="<?echo LABEL_SAVE ?>">
</CENTER>
<?php
		table_footer();
	} elseif (!empty($bn_change_form) && file_exists("${bn_dir}/${bn_change_form}") ) {
		include "${bn_dir}/${bn_change_form}";
	} elseif ( file_exists("${bn_dir_default}/change_password_form.$ext") ) {
		include "${bn_dir_default}/change_password_form.$ext";
	} else {
		table_header ("Please enter your userid, password and new password. site: <em>$site</em>", 500);
?>
 <TABLE BORDER="0" WIDTH="100%">
  <TR>
   <TD WIDTH="40%" ALIGN="RIGHT" VALIGN="MIDDLE"><strong><?dspMsg(96, LABEL_USER_LOGIN);?></strong></TD>
   <TD><?textField ("userid", $userid, 20, 32);?></TD>
  </TR>
  <tr>
   <TD WIDTH="40%" ALIGN="RIGHT" VALIGN="MIDDLE"><strong><?dspMsg(41, LABEL_USER_PASSWORD);?></strong></TD>
   <TD><?passwordField ("passwd", "", 20, 32);?></TD>
  </TR>
  <TR>
   <TD WIDTH="40%" ALIGN="RIGHT" VALIGN="MIDDLE"><strong><?dspMsg(97, LABEL_USER_NEW_PASSWORD);?></strong></TD>
   <TD><?passwordField ("newpasswd1", "", 20, 32);?></TD>
  </TR>
  <TR>
   <TD WIDTH="40%" ALIGN="RIGHT" VALIGN="MIDDLE"><strong><?dspMsg(98, LABEL_USER_NEW_PASSWORD_AGAIN);?></strong></TD>
   <TD><?passwordField ("newpasswd2", "", 20, 32);?></TD>
  </TR>
 </TABLE>
 <br>
 <center>
  <INPUT TYPE="submit" VALUE="<?echo LABEL_SAVE ?>">
</CENTER>
<?php
		table_footer();
	}
	endForm();
	display_footer ($header_footer);
?>
