<?php

/*
 *	W-AGORA 4.0
 *	-----------
 *	$Id: download_thread.php,v 1.16 2002/03/20 10:47:55 mdruilhe Exp $
 *	Usage:		download (displays) the whole contents of a thread
 *	Authors:	Marc Druilhe <mdruilhe@w-agora.com>
 *				Laurent aufrre <laurent.aufrere@free.Fr>           
 */	

	$bn_action="download";
	$bn_action_mode="R";
	require ("init.inc");
	
	function displayNote ($key) {
		global $inc_dir, $ext, $site, $bn, $db, $auth, $bn_db, $bn_action, $bn_pad;
		global $bn_dir, $bn_dir_notes, $bn_dir_default, $icon_dir, $bn_before_access, $bn_doc_var;
		global $bn_user_mail, $bn_thread, $bn_modify, $bn_delete, $is_moderator;
		global $bn_win_width, $bn_win_height, $link_class;

		$has_children=is_array($db->children[$key]);

		$bn_action="view";

		// evaluate all variables
		if ($key>0) {
			extract ($db->entries[$key]);
		}

		// we don't display key 0 (administrative note)
		// and don't display old notes (if list only new)
		if ( ($hidden && $auth->level<MODER) || ($key == 0) ) {
			$hidden_note = true;
		} else {

			// initialize links variables
			if ($bn_user_mail && $bn_thread) {
				$subscribe_thread_url = "subscribe_thread.$ext?site=$site&bn=$bn&thread=$thread";
				$subscribe_thread_text = msg(117, LABEL_SUBSCRIBE);
				$subscribe_thread_link = anchorWindow ($subscribe_thread_url, $subscribe_thread_text, msg(172, LABEL_RECEIVE_UPDATES), 620, 460, $link_class);
			}

			// CLOSE
			$close_url = "";
			if ($is_moderator && $bn_thread) {
				$close_url = "close.$ext?bn=$bn&key=$key";
				$close_text = msg(141, LABEL_CLOSE_OPEN_THREAD);
				$close_link = anchor ($close_url, "", $close_text, $close_text, $link_class );
			}

			if (!empty($bn_before_access)) {
				if (file_exists ("$bn_dir/$bn_before_access") ) {
					include "$bn_dir/$bn_before_access";
				} else {
					include "$bn_dir_default/$bn_before_access";
				}
			} elseif (file_exists ("$bn_dir_default/before_access.$ext") ) {
				include ("$bn_dir_default/before_access.$ext");
			}
			printf ("\n<a name=\"N%s\"></a>\n", $key);
			$viewkey = $key;
			if (isset($db->users[$userid])) {
				extract ($db->users[$userid], EXTR_PREFIX_ALL, 'user');
			}
			// USER PRIVILEGES
			if (isset($user_userpriv) ) {
				$user_priv = $GLOBALS['user_privs'][$user_userpriv];    
			}
			require	("$inc_dir/viewnote.$ext");
			printf ("\n<a name=\"N%sEND\"></a>", $key);
		}

		if ( is_array($db->children[$key]) ) {
			// display all replies to this thread
			for (reset ($db->children[$key]); $child=current($db->children[$key]); next($db->children[$key])) {
				displayNote ($child);
			}
		}
	}

	if (empty($bn)) {
		display_header (TITLE_DOWNLOAD_THREAD, $header_footer);
		msgForm ("You must specify a forum", "$main_page", "", "_top");
		display_footer ($header_footer);
		exit;
	}

	if (empty ($thread) ) {
		display_header (TITLE_DOWNLOAD_THREAD, $header_footer);
		msgForm (msg(3, LABEL_SPECIFY_THREAD), "$main_page", "", "_top");
		display_footer ($header_footer);
		exit;
	}

# Gets listing outline
# --------------------
	if (!empty($bn_list_vars) && file_exists ("$bn_dir/$bn_list_vars") ) {
		include "$bn_dir/$bn_list_vars";
	} elseif (file_exists ("$bn_dir_default/list.$ext") ) {
		include ("$bn_dir_default/list.$ext");
	}

	if (empty($bn_digest_even_first_line) ) { // even first line should not be empty if defined
		$bn_digest_header = "<div align=left><ul>";
		$bn_digest_odd_first_line = "<li><font size=-1>\$formated_date</font> <a href='#N\$key'><em>\$subject</em></a> \$att_icon (\$username)";
		$bn_digest_even_first_line = "<li><font size=-1>\$formated_date</font> <a href='#N\$key'><em>\$subject</em></a> \$att_icon (\$username)";
		$bn_digest_begin_level = "<ul>";
		$bn_digest_odd_line = "<li><font size=-1>\$formated_date</font> <a href='#N\$key'><em>\$subject</em></a> \$att_icon (\$username)";
		$bn_digest_even_line = "<li><font size=-1>\$formated_date</font> <a href='#N\$key'><em>\$subject</em></a> \$att_icon (\$username)";
		$bn_digest_end_level = "</ul>";
		$bn_digest_footer = "</ul></div>";
	}

# gets all notes in this thread
# -----------------------------
	$list_var["body"]=1;
	$expnd="all";

	$ret = $db->getThread ($bn_db, $thread, $thread);

	$db->query("UPDATE $bn_db SET hits=hits+1 WHERE thread='$thread'");

	/* Execute before_access program */
	if (!empty($bn_before_access)) {
		if (file_exists ("$bn_dir/$bn_before_access") ) {
			include "$bn_dir/$bn_before_access";
		} else {
			include "$bn_dir_default/$bn_before_access";
		}
	} elseif (file_exists ("$bn_dir_default/before_access.$ext") ) {
		include ("$bn_dir_default/before_access.$ext");
	}

	display_header (TITLE_DOWNLOAD_THREAD, $header_footer);

	print ("<a name=\"top\"></a>");
	DspMsg (11);

# displays notes listing
# -----------------------
	if ($ret < 0) {
		echo "<CENTER><strong>"; DspMsg (6); echo "</STRONG></CENTER>";
	} elseif ($ret == 0) {
		echo "<CENTER>"; DspMsg (16); echo "</CENTER>";
	} else {

		$l=addSlashes(stripSlashes($bn_digest_header));
		eval ("echo stripSlashes(\"$l\");");

		$db->getChild ($thread, "digest");

		$l=addSlashes(stripSlashes($bn_digest_footer));
		eval ("echo stripSlashes(\"$l\");");
	}

# Now display each individual note
# --------------------------------
	if (is_array($db->entries)) {
		reset($db->entries);
		displayNote($thread);
	}

# Display footer
# --------------
	display_footer ($header_footer);
?>
