<?php

/*
 *	W-AGORA 4.0
 *	-----------
 *	$Id: getfile.php,v 1.11 2002/03/10 22:13:53 mdruilhe Exp $
 *	Usage:		display an attachment
 *	Author:		Marc Druilhe <mdruilhe@w-agora.com>
 */
 
	$bn_action="getfile";
	$bn_action_mode="R";
	$no_cookie=1;

	include "init.inc";

	if (empty($key) || empty($att_id) ) {
		display_header ("error", $header_footer);
		MsgForm (Msg(3), "list.$ext", 'back');
		display_footer ($header_footer);
	}

	$att = $db->getAttachments ($bn_db, $key, $att_id);
	if (!is_array($att) ) {
		display_header ("error", $header_footer);
		MsgForm (Msg(46), "list.$ext", 'back');
		display_footer ($header_footer);
	}

	$att_name = $att[0]["att_name"];
	$att_type = $att[0]["att_type"];
	$att_size = $att[0]["att_size"];

	/* Execute before_access program */
	if (!empty($bn_before_access)) {
		if (file_exists ("$bn_dir/$bn_before_access") ) {
			include "$bn_dir/$bn_before_access";
		} else {
			include "$bn_dir_default/$bn_before_access";
		}
	} elseif (file_exists ("$bn_dir_default/before_access.$ext") ) {
		include ("$bn_dir_default/before_access.$ext");
	}
	
	if ($att_name && file_exists ("$bn_dir_notes/$att_id.$att_name")) {
		header ("Content-Type: $att_type; name=\"$att_name\"");
		header ("Content-length: $att_size");
		if (strstr($HTTP_USER_AGENT,"MSIE 5") && !strstr($HTTP_USER_AGENT,"Opera")) {
			header("Content-Disposition: filename=\"$att_name\"");
		} else {
			header ("Content-Disposition: attachment; filename=\"$att_name\"");
		}
		ReadFile ("$bn_dir_notes/$att_id.$att_name");
		exit;
	} else {
		display_header ("error", $header_footer);
		MsgForm (Msg(46), "list.$ext", "");
		display_footer ($header_footer);
	}
?>
