<?php

/*
 *	W-AGORA 4.0
 *	-----------
 *	$Id: form.php,v 1.30 2002/06/10 17:41:35 mdruilhe Exp $
 *	Usage:		display the FORM to the user
 *	Author:	Marc Druilhe <mdruilhe@w-agora.com>
 *
 */

# output JavaScript functions
# ----------------------------
?>
<SCRIPT type="text/javascript" language="JavaScript">
 <!-- // Hide for old browsers
var has_submitted = 0;

if (document.images){
	imgcopy=new Image;
	imgcopy.src="images/filecopy.gif";
}

function checkForm(f) {
<?php
	if (is_array($bn_bind_var) ) {
		reset ($bn_bind_var);
		while (list($field, $required) = each($bn_bind_var)) {
			if ($required) {
				printf ("  if ((f.%s) && (f.%s.value.length == 0)) {\n", $field, $field);
				$alert = sprintf (ERROR_MISSING_FIELD, $field);
				print  ("    alert (\"$alert\");\n");
				printf ("    f.%s.focus();\n", $field);
				print  ("    return false;\n  }\n");
			}
		}
	}
?>

  if ( f.img_upload) {
    if (f.pcfile.value=='') {
      f.img_upload.src = 'images/none.gif';
    } else {
      f.img_upload.src = 'images/filecopy.gif';
    }
  }

  if(has_submitted == 0) {
    sel=false;
    for (i = 0; i < f.elements.length; i++) {
      if ( (f.elements[i].name == 'del_att[]')&&(f.elements[i].checked) ){
        sel = true;
        break;
      }
    }
	if (sel) {
      if (window.confirm("<?php echo CONFIRM_DEL_FILE?>") ) {
        has_submitted = 1;
        setTimeout('has_submitted=0', 5000);
        return true;
	  } else {
        return false;	      
	  }
	} else {
      has_submitted = 1;
      setTimeout('has_submitted=0', 5000);
      return true;
	}
  } else {
    alert("<?php echo ERROR_ALREADY_SUBMITED?>");
    return false;
  }
}

function quoteText (elem, text) {
 if (elem.value.length > 0)
   elem.value += "\n";
 elem.value += text.value;
 return true;
}

function uniqueSubmit(f) {
  if(has_submitted == 0) {
    has_submitted = 1;
    setTimeout('has_submitted=0', 5000);
    if ( f.img_upload) {
      if (f.pcfile.value=='') {
        f.img_upload.src = 'images/none.gif';
      } else {
        f.img_upload.src = 'images/filecopy.gif';
      }
    }
    f.submit();
  } else {
    alert("<?php echo ERROR_ALREADY_SUBMITED?>");
    return false;
  }
	
} // end func

function uploadFile(f) {
  if(f.pcfile.value.length>0) {
    f.actiontype.value='upload';
    uniqueSubmit(f);
  } else {
    f.actiontype.value='';
    alert ("<?php echo ERROR_SELECT_FILE?>");
	f.pcfile.focus();
  }
}

function deleteFile(f) {
  sel=false;
  for (i = 0; i < f.elements.length; i++) {
    if ( (f.elements[i].name == 'del_att[]')&&(f.elements[i].checked) ){
      sel = true;
      break;
    }
  }

  if (sel == false) {
    f.actiontype.value='';
    alert("<?php echo ERROR_SELECT_DEL_FILE?>");
    return false;
  } else {
    if (window.confirm("<?php echo CONFIRM_DEL_FILE?>") ) {
      f.actiontype.value='delete';
      uniqueSubmit(f);
      return true;
	} else {
      return false;
	}
  }
}


function copyFile(f) {
  if(f.server_file.value && f.server_file.value.length>0) {
    f.actiontype.value='copy';
    uniqueSubmit(f);
  } else {
    f.actiontype.value='';
    alert ("<?php echo ERROR_SELECT_FILE?>");
	f.server_file.focus();
  }
}

function confirmSendFile(f) {
  if (window.confirm("<?php echo CONFIRM_SEND_FILE?>") ) {
    uploadFile(f);
  }
}

// End of script -->
</SCRIPT>

<?php

# set defaults for user options
# -----------------------------
	$html_tags = (isSet($html_tags)) ? $html_tags : $default_html_tags;
	$mail_reply = (isSet($mail_reply)) ? $mail_reply : $default_mail_reply;

# Set user's name & address either from user database (if registered/private forum)
# or from cookies

	// first we unset $password which can only be set via cookie, in preview mode: don't reset it
	if (!isSet($HTTP_POST_VARS['password']) ) {
		$password = "";	
	}

	if ($setUserField) {

		// first: unset user infos (name, address) which can be set either via cookie or authentication
		$username = "";
		$useraddress = "";

		// set all "cookie stored" variables (!! password can be set here !!)
		if (isset($cookies) && is_array($cookies->p_cookies)) {
			reset ($cookies->p_cookies);
			while (list($var, $val) = each ($cookies->p_cookies) ) {
				$$var = $val;
			}
		}

		// then, override user infos (name, address) if the user is authenticated
		if ($is_authenticated) {
			$username = $auth->user["username"];
			$useraddress = $auth->user["useraddress"];
		}
	}

# set some default values
# -----------------------
	if (empty($icon) ) {
		$icon = "icon1.gif";
	}

# Set icon list box
# -----------------
	$pics = array (
		"icon1.gif", 
		"icon2.gif", 
		"icon3.gif", 
		"icon4.gif", 
		"icon5.gif", 
		"icon6.gif", 
		"icon7.gif", 
		"icon8.gif", 
		"icon9.gif", 
		"icon10.gif", 
		"icon11.gif",
		"icon12.gif",
		"icon13.gif",
		"icon14.gif"
	);

	$icon_list = ''; $n = 0;
	reset($pics);
	while (list($i,$pic) = each($pics) ) {
		$icon_list .= getRadioButton ('icon', $pic, $icon, '&nbsp;&nbsp;').
		"<IMG src=\"$icon_dir/$pic\" height=15 width=15 align=\"abscenter\" alt=\"$pic\">&nbsp;&nbsp;&nbsp;&nbsp;";
		if ((($i+1)%7)==0) {
		    $icon_list .= '<br>';
		}
	}

# ------------------------------------------------------------
# Display form 
# ------------------------------------------------------------
	print ("<A NAME=\"FORM\">");
	printf ("<FORM METHOD=\"post\" ACTION=\"%s\" %s NAME=\"form0\" onSubmit=\"return checkForm(this);\" >\n",
		$form_action,
		($bn_file_upload==1) ? " ENCTYPE=\"multipart/form-data\" " : "");
	hiddenField ("site", $site);
	hiddenField ("bn", $bn);
	hiddenField ("do_post", "1");
	hiddenField ("back_form", $back_form);
	hiddenField ("popup", $popup);
	hiddenField ("lynx", $lynx);
	hiddenField ("MAX_FILE_SIZE", $MAX_FILE_SIZE);
	hiddenField ("filename", $filename);
	hiddenField ("actiontype", "");

	if (isset($key)) {
		hiddenField ("key", $key);
	}

	if (isset($attkey)) {
		hiddenField ("attkey", $attkey);
	}

	if (isset($thread) ) {
		hiddenField ("thread", $thread);
	} elseif (is_array($note)&& isset($note["thread"])) {
		hiddenField ("thread", $note["thread"]);
	}

	if (!empty($quoted_text)) {
		hiddenField ("quoted_text", $quoted_text);
	}

	if (!$bn_file_upload) {
		hiddenField ("pcfile", "");
	}

	if (!$bn_browse_server) {
		hiddenField ("server_file", "");
	}

# Set input field variables ($input_username, $input_useraddress)
# ---------------------------------------------------------------
	if ($is_authenticated && !$is_moderator) {
		$input_username = $username;
		$input_useraddress = $useraddress;
	} else {
		$input_username = "<INPUT NAME=\"username\" VALUE=\"$username\" />";
		$input_useraddress = "<INPUT NAME=\"useraddress\" VALUE=\"$useraddress\" />";
	}

# Set title variable
# ------------------
	if ($bn_action == "reply") {
		$form_title = msg (165, TITLE_REPLY_FORM);
	} elseif ($bn_action == "edit") {
		$form_title = msg (166, TITLE_EDIT_FORM);
	} else {
		$form_title = msg (158, TITLE_POST_FORM);
	}	

# Set QUOTE TEXT button variable
# ------------------------------
	if (empty($quoted_text)) {
		$quote_button = "";
	} else {
		$quote_button = getButton ('', msg(52), 'quoteText(this.form.body, this.form.quoted_text);');
	}

# Create list of possible inline modes
# ----------------------------------
	$inline_list['1'] = YES;
	$inline_list['0'] = NO;

# Set Attachment table
# --------------------
	$display_att = false;
	// retrieving the note's key depends on the current mode...
	switch ($bn_action) {
	  case "edit":
		$nkey = $key;
		break;
	  case "post":
	  case "reply":
		$nkey = $attkey;
		break;
	  default:
		$nkey = '';
		break;
	}

	if ($nkey != '') {
		$tsz = 0;
		$att = $db->getAttachments ($bn_db, $nkey);
		if (is_array($att)) {
			$att_count = count($att);
			$display_att = true;
			$att_table = '<table border=0 width="100%"><tr><th>&nbsp;</th><th>'. 
				COLUMN_ATTACHMENTS. '</th><th>'. COLUMN_TYPE. '</th><th>'. COLUMN_SIZE.'</th><th>'. COLUMN_INLINE. "</th></tr>\n"; // . "<tr><td colspan=5 align=\"center\" valign=\"top\"><hr noshade></td></tr>\n";
			for ($i=0; $i<$att_count; $i++) {
				$id = $att[$i]['att_id'];
				$tsz += $att[$i]['att_size'];
				$sz = pretty_size($att[$i]['att_size']);
				// MD -$dspmode = $att[$i]["inline"];
				// MD - if ($dspmode == "") $dspmode = "A";
				if (getAttDisplayMode ($att[$i]['att_type'], 'A') == ATT_DSP_LINK) {
					// This mime-type can't be displayed inline
					hiddenField("inline_att[$id]", "0");
				    $inline_box = '--';
				} else {
				    $inline_box = getListBox ("inline_att[$id]", $inline_list, $att[$i]["inline"] );
				}
				$att_table .= '<tr><td>'.  getCheckBox ('del_att[]', $id, 0, ""). '</td><td>'. $att[$i]['att_name'] . '</td><td>'.  $att[$i]['att_type']. '</td><td align=middle>'. $sz. '</td><td align="center">'.$inline_box."</td></tr>\n";
			}
			$total_sz = pretty_size($tsz);
			$att_table.= '<tr><td colspan=2 align=left>'.
				'<img src="images/arrow.gif" width="38" height="22" border=0 alt="" align="absmiddle">'.
			    '<a href="'."$form_action?bn=$bn&actiontype=delete".'" onclick="deleteFile(document.form0); return false;">'. LABEL_DELETE. '</a></td><td align=right><b>Total: </b></td><td align=center><b>' .$total_sz. '</b></td><td></td></tr></table>';
		}
	}

# Set "FILE UPLOAD" Button
# ------------------------
	if ($bn_file_upload) {
		$display_att = true;
		$file_upload_text = msg(53, 'Select a file to attach to your message : ');
		$file_upload_field = '<INPUT TYPE="file" NAME="pcfile" width="260" SIZE="30" onChange="confirmSendFile(this.form);" />';
		$file_upload_button = getButton ('', LABEL_UPLOAD, 'uploadFile(this.form);');
		$att_upload_table = '<table border="0" width="100%" cellpadding="0">'.
			"<tr><td align=\"left\">$file_upload_text &nbsp;$file_upload_field &nbsp; $file_upload_button</td></tr></table>";
	} else {
		$file_upload_button = "";
		$file_upload_text = "";
		$file_upload_field = "";
		$att_upload_table = "";
	}

# Set "BROWSE SERVER" Button
# --------------------------
	if ($bn_browse_server) {
		$display_att = true;
		$browse_server_text = msg(54, "Select a file on the server");
		$browse_server_field = getTextField ('server_file', '', 30);
		$browse_server_field .= getButton ('', msg(55), "OpenWindow(\"browse.$ext?bn=$bn\",'winbrowse',500,400);return false;" );
		$browse_server_button = getButton ('', LABEL_COPY, 'copyFile(this.form);');
		$att_browse_table = '<table border="0" width="100%" cellpadding="0">'.
			"<tr><td align=\"left\">$browse_server_text $browse_server_field $browse_server_button</td></tr></table>";
	} else {
		$browse_server_button = "";
		$browse_server_text = "";
		$browse_server_field = "";
	}

# Set "RECEIVE MAIL " checkbox
# ----------------------------
	$mail_reply_box = ($bn_user_mail==1) ? getCheckBox ("mail_reply", 1, $mail_reply, msg(17) ) : "";

# Set "Preserve HTML" checkbox
# ----------------------------
	$preserve_html_box = ($bn_allow_html && is_array($bn_html_var)) ? getCheckBox ("html_tags", 1, $html_tags, msg(71) ) : "";

# Set "Password" field
# --------------------
	if (($forum["type"] == "pub") && !$is_authenticated && ($bn_modify || $bn_delete) ) {
		$password_text = msg(41);
		$password_field = "<input type=\"password\" NAME=\"password\" VALUE=\"$password\" SIZE=10 />";
	} else {
		$password_text = "";
		$password_field = "";
	}

# Set "SUBMIT", "PREVIEW", "RESET" and "CANCEL" buttons
# -----------------------------------------------------
	$preview_button = "<INPUT TYPE=\"submit\" NAME=\"preview\" VALUE=\"". msg(70). "\" />";
	$submit_button = "<INPUT TYPE=\"submit\" NAME=\"insert\" VALUE=\"". msg(34). "\" />";
	$reset_button = "<INPUT TYPE=\"reset\" VALUE=\"". msg(35). "\" />";

	if ($bn_popup && $popup) {
		$cancel_button = getButton ('cancel', msg(36, 'cancel'), ($bn_popup==1) ? 'window.close();' : 'history.back();');
	} else {
		$cancel_button = "";
	}

# Create final attachment handling table
# --------------------------------------
	if ($display_att) {
 		$att_form = '<table width="100%" border=0><tr><td colspan=2 align=center><hr noshade></td></tr><tr><td align>'.TITLE_ATTACHMENTS.'</td><td align=center><img src="images/none.gif" width="260" height="30" border=0 name="img_upload"></td></tr><tr><td colspan=2 align=center>'.
			$att_table.$att_upload_table.$att_browse_table;
		$att_form .= '</td></tr><tr><td colspan=2 align=center><hr noshade></td></tr></table>';
	}

# Set the button bar 
# ------------------
	$button_bar = '<table width="90%" border=0><tr><td>';
	if (!empty($quote_button)) {
		$button_bar .= "<br>$quote_button";
	}

	if (!empty($att_form)) {
		$button_bar .= "<br> $att_form";
	}

	if (!empty($mail_reply_box)) {
		$button_bar .= "<br> $mail_reply_box";
	}
	
	if (!empty($preserve_html_box)) {
		$button_bar .= "<br> $preserve_html_box";
	}

	if (!empty($password_field)) {
		$button_bar .= "<br> $password_text $password_field";
	}
	$button_bar .= "</td></tr></table>\n";
	$button_bar .= "<P><CENTER>$preview_button $submit_button $reset_button $cancel_button</center>";

# Include user (or default) form
# ------------------------------
	if (empty($bn_form)) {
		include ("$bn_dir_default/form.$ext");
	} else {
		include "$bn_dir/$bn_form";
	}

# Displays the "OPTIONS" button bar :
# -----------------------------------
	if (!$bn_no_form_button_bar) {
		print $button_bar;
	}

	echo "</FORM>";
?>
