<?PHP

/*
 *	W-AGORA 4.0
 *	-----------
 *	$Id: misc_func.php,v 1.84 2002/06/11 13:08:53 mdruilhe Exp $
 *	Usage:		Include file for common usage functions
 *	Author:		Marc Druilhe <mdruilhe@w-agora.net> and OTHERS
 */

#	This function allows us to read the configuration file w/o overwriting
#	global config. variables
# ----------------------------------------------------------------------
function getDBaccess($cfg_file) {
	include "$cfg_file";
	$access["dbname"] = $dbname;
	$access["dbhost"] = $dbhost;
	$access["dbport"] = $dbport;
	$access["dbuser"] = $dbuser;
	$access["dbpassword"] = $dbpassword;
	$access["dbadmuser"] = (empty($dbadmuser) ) ? $dbuser : $dbadmuser;
	$access["dbadmpassword"] = (empty($dbadmuser) ) ? $dbpassword : $dbadmpassword;
	$access["bn_access"] = $bn_access;
	$access["usersource"] = (empty($bn_usersource) )  ? "agora_user" : $bn_usersource;
	return $access;
}

function msg ($number, $default="") {
	global $icon_dir, $img_dir;
	global $site, $bn, $key, $note, $thread, $ext, $dir;
	global $pcfile_size, $pcfile_name, $att_size, $att_type, $att_icon, $att_name, $att_list_text;
	global $msg, $userid, $pattern;
	$mess = str_replace('"','\"', (isset($msg[$number])) ? $msg[$number] : $default);
	eval ("\$m=stripSlashes(\"$mess\");");
	return $m;
};

function dspMsg ($number, $default="") {
	print msg($number, $default);
};

function msgWarning ($message, $fontcolor='', $fontface='', $bgcolor='') {
	global $bn_fontcolor, $bn_bgcolor, $bn_fontface;

	$fc = (empty($fontcolor) ) ? $bn_fontcolor : $fontcolor;
	$ff = (empty($fontface) )  ? $bn_fontface  : $fontface;
	$bc = (empty($bgcolor) )   ? $bn_bgcolor   : $bgcolor ;

	print '<table border=0 bgcolor="000000" witdh=400 cellspacing=0 cellpadding=1 align="center" ><tr><td>';
	print '<table border=0 bgcolor="'.$bc.'"cellspacing=0 cellpadding=8 width="100%">';
	printf ("<tr><td align=center><font face='%s' color='%s'>%s</td></tr></table></td></tr></table>", $ff, $fc, $message);
};

function msgForm ($message, $url, $action="", $target="", $method="get", $fontcolor='', $fontface='', $bgcolor='') {
	global $bn_fontcolor, $bn_bgcolor, $bn_tb_color, $bn_fontface;
	global $msg, $db_var;
	global $bn, $site;
	global $frameset, $bn_frames, $bn_popup;
	global $lynx, $popup;
	global $HTTP_POST_VARS;

	$fc = (empty($fontcolor) ) ? $bn_fontcolor : $fontcolor;
	$ff = (empty($fontface) )  ? $bn_fontface  : $fontface;
	$bc = (empty($bgcolor) )   ? $bn_bgcolor   : $bgcolor ;

	if ($lynx==1) $bn_frames=0;

	if (strpos($url, '?')) {
		list ($base_url, $qs) = explode('?', $url);    
	} else {
	    $base_url = $url;
	}
	
	echo "<FORM METHOD=\"$method\" ACTION=\"$base_url\" ";

	if (($action =="close") && $popup) {
		if ($bn_frames) {
			echo " TARGET=\"main\">\n";
			$frame= "opener.parent.main";
		}
		else {
			echo " TARGET=\"_parent\">\n";
			$frame= "opener";
		}
	} elseif (!empty($target)) {
		echo " TARGET=\"$target\">\n";
	} else  {
		echo ">\n";
	}

# Propagate all posted vars from the FORM
# ---------------------------------------
	if (is_array($HTTP_POST_VARS) && ($method=="post") ) {
		reset ($HTTP_POST_VARS);
		while ( list ($var, $val) = each($HTTP_POST_VARS) ) {
			if (($var!="bn") && ($var!="site")  && !empty($val)) {
				hiddenField($var, kill_quotes(stripslashes($val)) );
			}
		}
	}

# process Query string
# --------------------
	$a = split ('&', $qs);
	$i = 0;
	while ($i < count ($a)) {
		$b = split ('=', $a [$i]);
		$name=urldecode ($b[0]);
		$value = isset($b[1]) ? urldecode ($b[1]) : "";
		if ($name=="bn")
			$bn=$value;
		elseif ($name=="site")
			$site=$value;
		elseif ($name != "")
			hiddenField ($name, $value);
		$i++;
	}
	hiddenField ("bn", $bn);
	if (!empty($site)) {
		hiddenField ("site", $site);
	}
	if ($lynx==1) {
		hiddenField ("lynx", "1");
	}

	print '<br><br><TABLE BORDER=0 CELLPADDING=0 CELLSPACING=0 WIDTH="400" align="center"><TR><TD BGCOLOR="#000000"><TABLE BORDER=0 CELLPADDING=5 CELLSPACING=1 width="100%"><TR><TD align="center" valign="middle" bgcolor='."$bc>\n";
	echo "<br><STRONG><font face='$ff' color='$fc'>$message</STRONG><BR><br>\n";

	$exit=0;
	switch ($action):
		case "back":
			echo "<INPUT TYPE='submit' VALUE= ' OK ' onClick='history.back(); return false;'>\n";
		break;
		case "close":
			if ($bn_popup && $popup) {
				echo "<INPUT TYPE='button' VALUE= ' OK ' ";
				echo "onClick='if ($frame!=null) {" . $frame . ".location=\"$base_url?bn=$bn&$qs";
				if ($lynx==1) echo "&lynx=1";
				echo "\";window.close()} else {window.close()};'>\n";
			}
			else {
				submitButton('',BUTTON_OK);
			}
		break;
		case "exit":
			$exit=1;
		break;
		default:
			submitButton('',BUTTON_OK);
		break;
	endswitch;
	br();
	table_footer();
	endForm();
	if ($frameset) {
		?></noframes></frameset><?PHP
	}
}

function formated_date ($unixdate, $format='', $tz_offset=0) {
	$offset = (empty ($tz_offset) ) ? $GLOBALS['bn_tz_offset'] : $tz_offset;
	return date( (empty($format)) ? $GLOBALS['bn_date_format'] : $format, $unixdate+($offset*3600) );
}

function expandUrl ($url) {
	global $site, $bn, $lynx;

	if (strstr($url, '#')) {
		list ($ret_url, $fragment) = explode('#', $url);    
	} else {
	    $ret_url = $url;
	}
	if (empty($ret_url) ) return $url;
	$ret_url = ereg_replace ("[&?]+$", "", $ret_url);

	if (!empty($site) && !ereg ("[&?]site=", $ret_url) ) {
		$ret_url .= ( strpos($ret_url, "?") != false ?  "&" : "?" ). "site=$site";
	}
	if (!empty($bn) && !ereg ("[&?]bn=", $ret_url) ) {
		$ret_url .= ( strpos($ret_url, "?") ?  "&" : "?" ). "bn=$bn";
	}
	if (!empty($lynx) && !ereg ("[&?]lynx=1", $ret_url) ) {
		$ret_url .= ( strpos($ret_url, "?") ?  "&" : "?" ). "lynx=1";
	}
	if (!empty($fragment)) {
		$ret_url .= "#$fragment";
	}
	return str_replace(' ', '+', $ret_url);
}

function anchor ($url, $target="", $text="", $status="", $class="") {
	$class = (empty($class) ) ? '' : " CLASS='$class'";
	$target = (empty($target) ) ? '' : " TARGET='$target'";
	$text = empty($text) ? htmlSpecialChars($url) : $text;
	$jsstatus = empty($status) ? '' : ' onMouseover="window.status=\'' . strip_tags(str_replace ("'", "\\'", $status)) . '\';return true" onMouseout="window.status=\'\';return true"';
	$helptext = empty($status) ? $text : '<ACRONYM TITLE="' . strip_tags($status) . "\">$text</ACRONYM>";
	return sprintf ("<A HREF=\"%s\" %s %s %s>%s</A>", expandUrl ($url), $target, $jsstatus, $class
, $helptext);
}

function displayUrl ($url, $target="", $text="", $status="", $class="") {
	print  anchor($url, $target, $text, $status, $class);
}

function anchorWindow ($url, $text="", $status="", $width, $height, $class="") {
	global $site, $bn, $lynx, $bn_popup, $bn_frames;

	$url = expandUrl($url);
	if ($bn_popup) {
		$frame = "${bn}_post";
		$target = " TARGET='$frame'";
		$jswindow = " onClick=\"OpenWindow('$url','$frame',$width,$height); return false;\" ";
	} elseif ($bn_frames) {
		$target = " TARGET='main'";
		$jswindow = "";
	} else {
		$target ="";
		$jswindow = "";
	}

	$class = (empty($class) ) ? "" : " CLASS='$class'";
	$text = empty($text) ? htmlSpecialChars($url) : $text;
	$jsstatus = empty($status) ? "" : " onMouseover=\"window.status='" . addSlashes($status) . "';return true\" onMouseout=\"window.status='';return true\"";
	$helptext = empty($status) ? "$text" : "<ACRONYM TITLE=\"" . addSlashes(str_replace ("'", "\\'", $status)) . "\">$text</ACRONYM>";
	return sprintf ("<A HREF=\"%s\" %s %s %s %s>%s</A>", $url, $target, $jsstatus, $jswindow, $class, $helptext);
}

function openWindow ($url, $text="", $status="", $width, $height, $class="") {
	print anchorWindow ($url, $text, $status, $width, $height, $class);
}

/*
function validate_email ($address) {
	return (ereg('^[-!#$%&\'*+\\./0-9=?A-Z^_`a-z{|}~]+'.
			'@'.
			'[-!#$%&\'*+\\/0-9=?A-Z^_`a-z{|}~]+\.'.
			'[-!#$%&\'*+\\./0-9=?A-Z^_`a-z{|}~]+$',
			$address));
}
*/

/**
 * Even better email validator (from zend.com)
 *
 * Beware that setting the second argument to true is quite time consuming.
 * The regexp is taken from Formmail by Matt Wright. Formmail can be found at;
 * http://www.worldwidemart.com/scripts/
 */
function validate_email ($email, $check_dns=true) {
  if(
      (preg_match('/(@.*@)|(\.\.)|(@\.)|(\.@)|(^\.)/', $email))
      ||
      (preg_match('/^.+\@(\[?)[a-zA-Z0-9\-\.]+\.([a-zA-Z]{2,3}|[0-9]{1,3})(\]?)$/',
$email))
    )
  {
    if($check_dns && function_exists("checkdnsrr") && !$GLOBALS["winbox"]) {
      $host = explode('@', $email);
      // Check for MX record
      if( checkdnsrr($host[1], 'MX') ) return true;
      // Check for A record
      if( checkdnsrr($host[1], 'A') ) return true;
      // Check for CNAME record
      if( checkdnsrr($host[1], 'CNAME') ) return true;
      if ($GLOBALS["debug"]) {
	  printf ("<br><b>unresolved dns address:</b><tt>%s<br></tt>", nl2br($host[1]) );
      }
    } else {
      return true;
    }
  }
  return false;
}

function checkURL($line) {
	if ($line != "") {
		$line = eregi_replace("([http|news|ftp|https]+://[^)<>\"[:space:][:cntrl:]]+)",
			"<A  Href=\"\\1\" target=\"_blank\">\\1</A>", $line);
		$line = eregi_replace("(mailto:[^@\"]+@([a-zA-Z0-9\-]+\.)+[a-zA-Z0-9\-]{2,4})",
			"<A  Href=\"\\1\">\\1</A>", $line);
		$line = eregi_replace("([href|src] *= *.{0,1})<A  Href=[^>]+>([^<]+)</A>", "\\1\\2", $line);
	}
	return $line;
}

function strip_url ($line) {
	// remove only Href added in checkUrl()
	return ereg_replace ("<A  Href=[^>]+>([^<]+)</A>", "\\1", $line);
}

function get_summary (&$text, $nbwords=30) {

	$wordsep = "[ ,\.;\n\t]+";
	$summary = "";
	$i=0;
	$words = split ($wordsep, $text, $nbwords+1);

	while ( (list( ,$word) = each($words) ) && ($i<$nbwords) ) {
		$summary .= $word ." ";
		$i++;
	}

	if ($i >= $nbwords) {
	   $summary .= "...";
	}
	return $summary;
}

function quote_text ($text) {
	$text = my_br2nl ($text);
	$lines = split ("\n", $text);
	while ( list (,$line) = each($lines) ) {
		$quoted_text .= "> $line\n";
	}
	return $quoted_text;
}

function my_br2nl ($text) {
	$text=eregi_replace ("<br>\n", "\n", $text);
	return eregi_replace ("<br>", "\n", $text);
}


function my_nl2br ($text) {
	return ereg_replace (13, "", nl2br($text));
}

function emphasize ($text) {
	if (ereg ("^>(.*)", $text, $split) || eregi ("^&gt;(.*)", $text, $split) )
		$em_text = "<em>>". $split[1] . "</em>";
	else
		$em_text = $text;
	return $em_text;
}

function format_text ($text) {
	$text = ereg_replace (13, "", nl2br($text));
	$line = strtok ($text, "\n");
	while ($line) {
		$new_text .= emphasize($line) . "\n";
		$line = strtok ("\n");
	}
	return $new_text;
}

// Function enhanced by Raptor <XpL_Raptor@gmx.net>
// use $bn_allowed_tags instead of bn_banned_tags
function strip_banned_tags ($text) {

	global $bn_banned_tags, $bn_allowed_tags;

	$text = str_replace ("\\<", "&lt;", $text);
	$text = str_replace ("\\>", "&gt;", $text);

	// use the $bn_allowed_tags variable FIRST
	if (!empty ($bn_allowed_tags)) {
		// First strip all HTML
		$text=strip_smileys($text);
		$text=kill_html($text);
		$allowed_tags = split(" ", $bn_allowed_tags);
		if (is_array($allowed_tags)) {
			// rebuild allowed tags
			reset ($allowed_tags);
			while ( list (,$allowtag) = each($allowed_tags) ) {
				$text = eregi_replace("&lt;(${allowtag})&gt;", "<\\1>", $text);
				$text = eregi_replace("&lt;/(${allowtag})&gt;", "</\\1>", $text);
			}
		}
	} else {
		// strip PHP tags
		$text = ereg_replace ("<\\?", "&lt;?", $text);
		$text = ereg_replace ("\\?>", "?&gt;", $text); // <?PHP help syntax editor

		// kill javascript
		$text = eregi_replace ("javascript:", "sorry_but_javascript_is_not_allowed:", $text);

		// strip banned tags
		if (!empty ($bn_banned_tags)) {
			$banned_tags = split(" ", $bn_banned_tags);
			if (is_array($banned_tags)) {
				reset ($banned_tags);
				while ( list (,$badtag) = each($banned_tags) ) {
					$text = eregi_replace("<(/*${badtag}[^>]*)>", "<!--\\1-->", $text);
				}
			}
		}
	}

	return $text;
}

function get_remote_ip () {
	return (empty($GLOBALS['HTTP_X_FORWARDED_FOR'])) ? $GLOBALS["REMOTE_ADDR"] : '['. $GLOBALS['REMOTE_ADDR'] .'] '.$GLOBALS['HTTP_X_FORWARDED_FOR'];
}

// Added by Franky Liedekef <liedekef@pandora.be>
function is_banned_ip ($ip) {
	global $bn_banned_ips;
	if (!empty ($bn_banned_ips)) {
		$banned_ips = split(" ", $bn_banned_ips);
	}
	if (is_array($banned_ips)) {
		while ( list (,$badip) = each($banned_ips) ) {
                        if (preg_match("/\b$badip\b/",$ip)) {
			  return 1;
			}
		}
	}
	return 0;
}

/**
 * Converts embedded smileys to graphics
 *
 * Added by Trevor - trevor@unixforever.net - http://programmingphp.com/
 * modified MD (08/2000, 11/2000)
 * + contribs from Raptor <XpL_Raptor@gmx.net> and Pascal Cortial <pascal@citroen-web.com>
 */
function add_smileys ($text, $smileys="") {
	global $icon_dir;

	if (!is_array($smileys)) {
		$smileys = array (
			":D" => "icon10",
			":O" => "icon11",
			":[-\^]{0,1}\)+" => "icon7",
			";[-^]{0,1}\)+" => "icon12",
			"X[-\^]{0,1}\(+" => "icon8",
			":[-\^]{0,1}\(+" => "icon9",
			":[-\^]{0,1}p" => "icon39",
			":logo:" => "icon50",
			":wahoo:" => "icon42",
			":crazy:" => "icon41",
			":hello:" => "icon40",
			":sweat:" => "icon38",
			":spookie:" => "icon37",
			":benetton:" => "icon36",
			":jap:" => "icon35",
			":sleep:" => "icon34",
			":bic:" => "icon33",
			":sarcastic:" => "icon32",
			":gun:" => "icon31",
			":fou:" => "icon30",
			":love:" => "icon29",
			":lol:" => "icon28",
			":sol:" => "icon27",
			":hot:" => "icon26",
			":hap:" => "icon25",
			":eek:" => "icon24",
			":ouch:" => "icon23",
			":cry:" => "icon22",
			":what:" => "icon21",
			":bounce:" => "icon20",
			":roll:" => "roll",
			":kill:" => "kill"
		);
	}

	$text = " ".$text;			// add dummy space to allow first matching
	reset ($smileys);
	while ( list($s, $i) = each($smileys) ) {
		// $s = str_replace (")", '\)', $s);
		$text = ereg_replace("([\n \\.])($s)", "\\1<img src=\"$icon_dir/$i.gif\" alt=\"\\2\" border=0 align='absmiddle'>", $text);
	}
	return substr($text, 1);	// remove extra space
}

function strip_smileys ($text) {
	global $icon_dir;

	$text = ereg_replace("<img src=\"$icon_dir/[[:alnum:]]+\.gif\" alt=\"", "", $text);
	$text = str_replace("\" border=0 align='absmiddle'>", "", $text);
	return $text;
}

function kill_html ($text) {
	$text = ereg_replace ("<", "&lt;", $text);
	$text = ereg_replace (">", "&gt;", $text);
	return $text;
}

function unkill_html ($text) {
	$text = ereg_replace ("&lt;", "<", $text);
	$text = ereg_replace ("&gt;", ">", $text);
	return $text;
}

function kill_quotes ($text) {
	$text = eregi_replace ('<br>', "\n", $text);
	$text = ereg_replace ('"', "&quot;", $text);
	$text = ereg_replace ("<", "&lt;", $text);
	$text = ereg_replace (">", "&gt;", $text);
	return $text;
}

function pretty_size ($size, $precision=2) {

	$format = '%01.'.$precision.'f';
	settype ($size, "integer");
	$mb = 1024*1024;
	if ( $size >= $mb ) {
		return sprintf ($format, $size/$mb) . " Mb";
	} elseif ( $size >= 1024 ) {
		return sprintf ($format, $size/1024) . " Kb";
	} else {
		return $size . " bytes";
	}
}

/**
 * Return display mode for specified attachment
 *
 * @param	att_type	MIME type of attachment
 * @param       att_inline	inline flag from database
 * @since       4.1
 * @access      public
 * @return      displaymode
 * @retval	1	display as icon (link)
 * @retval	2	display as image
 * @retval	3	display as embedded HTML text
 * @retval	4	display as embedded text, PRE-formatted
 */
function getAttDisplayMode ($att_type, $att_inline="A") {
	global $inc_dir, $bn_dir, $ext;

// TODO!!! : Include this file outside or include once

	if (file_exists("$bn_dir/mimetypes.$ext") ) {
		include ("$bn_dir/mimetypes.$ext");
	} else {
		include ("$inc_dir/mimetypes.$ext");
	}

	if ($att_inline) {
		if (isset($mime_dspfmt[$att_type])) {
		    $display_mode = $mime_dspfmt[$att_type];
		} else {
		    $display_mode = $mime_dspfmt[$mimetype_default];
		}   
	} else {
	    $display_mode = ATT_DSP_LINK;
	}

	return $display_mode;
}

/**
 * Return an attachment in a format that can be embedded into an HTML page
 *	
 * @param	key			external key of the note to which this attachement belongs to
 * @param	att_id		id of the attachment in the attachment table
 * @param	att_path	Pathname of attachment
 * @param	att_type	MIME type of attachment
 * @param	att_size	file size of attachement
 * @param	att_inline	inline flag from database
 * @access  public
 * @see		mimetypes.php
 * @see		getAttDisplayMode
 * @return	string		The attachement
 */
function getAttachmentUrl ($key, $att_id, $att_path, $att_type, $att_size, $att_inline=0) {
	global $ext, $site, $bn, $bn_dir, $inc_dir, $msg, $mime_renderers;
	global $icon_dir, $img_dir;

// TODO!!! : Include this file outside or include once
	if (file_exists("$bn_dir/mimetypes.$ext") ) {
		include ("$bn_dir/mimetypes.$ext");
	} else {
		include ("$inc_dir/mimetypes.$ext");
	}

	$att_name = substr(strstr (basename($att_path), '.'), 1);
	if (!is_file($att_path)) {
	    return "<strong>file not found: $att_name</strong>";
	}

	if ($att_inline) {
		if (isset($mime_dspfmt[$att_type])) {
		    $display_mode = $mime_dspfmt[$att_type];
		} else {
		    $display_mode = $mime_dspfmt[$mimetype_default];
		}   
	} else {
	    $display_mode = ATT_DSP_LINK;
	}
	
	$att_url = expandUrl("getfile.$ext?key=$key&att_id=$att_id");

	// switch (getAttDisplayMode($att_type, $att_inline)) {
	switch ($display_mode) {
		case ATT_DSP_IMG: // display as an embedded image
 			$size = @getImageSize ("$att_path");
			$img_size = $size[3];
 			$text = str_replace('"','\"', $mime_renderers[ATT_DSP_IMG]);
			eval ("\$ret=stripSlashes(\"$text\");");
			break;
		case ATT_DSP_PLAINTEXT: // display as embedded text, PRE-formatted
			$att_contents = str_replace ("\\", "\\\\", htmlSpecialChars (join ('', file ($att_path))));	
			$text = str_replace('"','\"', $mime_renderers[ATT_DSP_PLAINTEXT]);
			eval ("\$ret=\"$text\";");
			break;
		case ATT_DSP_HTML: // display as embedded HTML text
			$att_contents = strip_banned_tags (join ("", file ($att_path))); 
			$text = str_replace('"','\"', $mime_renderers[ATT_DSP_HTML]);
			eval ("\$ret=stripSlashes(\"$text\");");
			break;
		case ATT_DSP_PHP: // display as highlithed PHP code (needs PHP 4.2)
			$att_contents = highlight_file ($att_path, true);			
 			$text = str_replace('"','\"', $mime_renderers[ATT_DSP_PHP]);
			eval ("\$ret=stripSlashes(\"$text\");");
			break;
		case ATT_DSP_SWF: // Embedded Macromedia Shockwave Flash
 			$size = @getImageSize ("$att_path");
			$img_size = $size[3];
 			$text = str_replace('"','\"', $mime_renderers[ATT_DSP_SWF]);
			eval ("\$ret=stripSlashes(\"$text\");");
			break;
		default: // display as link 
			$att_size = pretty_size($att_size);
			$i= str_replace('"','\"', $msg[74]);
			eval ("\$att_icon=stripslashes(\"$i\");");
 			$text = str_replace('"','\"', $mime_renderers[ATT_DSP_LINK]);
			eval ("\$ret=stripSlashes(\"$text\");");
			break;
	}
	return $ret;
}

/**
 * Returns an array of search terms
 *
 * @param	string	$pattern		The pattern to search
 *
 * @access  public
 * @return	array	the array of terms
 */
function split_search_terms ($pattern) {
	
	// strip all extra spaces
	$pattern = ereg_replace ("[[:space:]]+", " ", trim($pattern));

	// first pull out all the double quoted strings
	if ( strstr ($pattern, '"' ) ) {
		if (strstr ($pattern, '"')) {
			$search_string = $pattern;
			while (ereg('-*"[^"]*"', $search_string, $match)) {
				$terms[]= trim(str_replace('"', "", $match[0]));
				$search_string=substr(strstr($search_string, $match[0]), strlen($match[0]));
			}
		}
		$pattern = ereg_replace('-*"[^"]*"', '', $pattern );
	}

	// pull out the rest words in the string and merge 
	$regular_terms = explode (" ", $pattern);

	// merge them all together and return
	reset ($regular_terms);
	while (list (, $term) = each ($regular_terms)) {
		if ($term!='') {
			$terms[]=trim($term);
		}
	}
	return $terms;

} // end func

function table_header ($title, $width="95%", $th_color="", $td_color="") {
	global $bn_th_color, $bn_td_color;

	$thc = (empty ($th_color) ) ? $bn_th_color : $th_color ; 
	$tdc = (empty ($td_color) ) ? $bn_td_color : $td_color ; 

	echo "<center><TABLE BORDER=0 CELLPADDING=0 CELLSPACING=0 WIDTH=\"$width\"><TR><TD BGCOLOR=\"#000000\">\n";
	echo '<TABLE BORDER=0 CELLPADDING=4 CELLSPACING=1 width="100%">';
	echo "<TR><TD BGCOLOR=\"$thc\" align=\"center\"><b>$title</b></TD></TR>\n<TR><TD BGCOLOR=\"$tdc\">\n";
}

function table_footer () {
	echo "</TD></TR></TABLE></TD></TR></TABLE></center>\n";
}


# Form elements
# -------------

function beginForm ($action="", $method="post") {
	global $site, $bn, $WA_SELF;

	$action = (empty ($action)) ? $WA_SELF : $action;
	printf ("<FORM method=\"%s\" action=\"%s\">\n", $method, $action);
	if (!empty($site))	hiddenField ("site", $site);
	if (!empty($bn))	hiddenField ("bn", $bn);
}

function endForm() {
	echo "</form>";
}

function getListBox ($name, $items, $selected="", $multiple=0, $onChange="") {
	$oc = empty ($onChange) ? "" : " onchange=\"$onChange\"";
	$p = sprintf ("<select name=\"%s%s\"%s%s>\n", $name, ($multiple == 1)?"[]":"",
					($multiple == 1)?" MULTIPLE":"", $oc);
	if (is_array($items)) {
		reset ($items);
		while (list($k, $v) = each($items)) {
			$p .= sprintf(" <option value=\"%s\"%s>%s\n", $k, strcmp($selected,$k)?"":" selected", $v);
		}
	}
    return $p . "</select>\n";
}

function getCheckBox ($name, $value=1, $current, $text="") {
	$p =  sprintf ("<input type=\"checkbox\" name=\"%s\" value=\"%s\"%s />%s\n",
			$name,
			$value, ($current==$value)? " checked" : "",
			(empty ($text)) ? "" : " $text" );
	return $p;
}

function getTextField ($name, $value="", $size=0, $maxlength=0) {
	return sprintf ("<input type=\"text\" NAME=\"%s\"%s%s%s />\n",
			$name,
			($value == "") ? "" : " value=\"$value\"",
			($size==0) ? "": " size=$size",
			($maxlength==0) ? "": " maxlength=$maxlength"
			);
}

function getRadioButton ($name, $value=1, $current, $text="") {
	return sprintf ("<input type=\"radio\" name=\"%s\" value=\"%s\"%s />%s\n",
			$name, $value, ($current==$value)? " checked" : "",	$text );
}

function getSubmitButton ($name="", $value="Save") {
	if (eregi ('<img ', $value)) {
		return eregi_replace ('<img ', "<input type='image' name='$name' ", $value);
	} else {
		return sprintf ("<input type=\"submit\" %s VALUE=\"%s\" />\n", empty($name) ? "" : "name=\"$name\"", strip_tags($value) );
	}
}

/**
 * returns a "<input type='button'>" element
 *
 * The function uses javacripts in order to display the button, so the button will not be displayed, if
 * the browser doesn't support javascript
 * @param	$name		the name of the button
 * @param	$value		the label displayed
 * @param	$onclick	the javascript called whenever the button is pressed.
 * @since	4.1.2
 * @access	public
 * @see		backButton
 * @return	string	the button
 */

function getButton ($name="", $value, $onclick) {
	$onclick = str_replace ('"', "'", addSlashes($onclick));
	$html = '<SCRIPT type="text/javascript" language="JavaScript">'. "\n". '  <!-- // Hide for old browsers' . "\n";
	$html .= sprintf ("  document.write ('<input type=\"button\" %s VALUE=\"%s\" onClick=\"$onclick\" />');\n", empty($name) ? "" : "name=\"$name\"", addslashes($value) );
	$html .= '  // End of script -->' . "\n" . '</script>';
	return $html;
}


function textField ($name, $value="", $size=0, $maxlength=0) {
	print getTextField ($name, $value, $size, $maxlength);
}


function hiddenField ($name, $value) {
	printf ("<input type=\"hidden\" NAME=\"%s\" VALUE=\"%s\" />\n", $name, $value);
}

function passwordField ($name, $value="", $size=0, $maxlength=0) {
	printf ("<input type=\"password\" NAME=\"%s\"%s%s%s />\n",
			$name,
			($value == "") ? "" : " value=\"$value\"",
			($size==0) ? "": " size=$size",
			($maxlength==0) ? "": " maxlength=$maxlength"
			);
}

function textArea ($name, $value="", $rows=2, $cols=40, $wrap="logical") {
	printf ("<textarea name=\"%s\" rows=\"%s\" cols=\"%s\" wrap=\"%s\">%s</textarea>\n",
			$name, $rows, $cols, $wrap, stripSlashes($value) );
}

function listBox ($name, $values, $selected="", $multiple=0, $onChange="") {
	print getListBox ($name, $values, $selected, $multiple, $onChange);
}

function checkBox ($name, $value=1, $current, $text="") {
	print getCheckBox ($name, $value, $current, $text);
}

function radioButton ($name, $value=1, $current, $text="") {
	print getRadioButton ($name, $value, $current, $text);
}

function caption ($text, $tag="") {
	$bt = empty($tag) ? "" : "<$tag>";
	$et = empty($tag) ? "" : "</$tag>";
	printf ("<caption>%s%s%s</caption>\n", $bt, $text, $et);
}

function submitButton ($name="", $value="Save") {
	print getSubmitButton ($name, $value);
}

function backButton ($name="", $value=" << ") {
	print getButton ($name, $value, 'history.back()');
}

function resetButton ($name="", $value="Reset") {
	printf ("<input type=\"reset\" %s VALUE=\"%s\" />\n", empty($name) ? "" : "name=\"$name\"", $value);
}

function br () {
	print "<BR />\n";
}

function hr ($width="", $size=0) {
	printf ("<HR%s%s />\n", (empty($width)) ? "" : " width=\"$width\"", ($size==0) ? "" : " size=\"$size\"");
}

function comment ($text) {
	printf ("<!-- %s -->\n", $text);
}

function wa_version () {
	return "w-agora version 4.1.4j";
}

function wa_info() {
	global $cfg_dir, $ext;

	if (file_exists ("$cfg_dir/site_agora.$ext")) {
		include ("$cfg_dir/site_agora.$ext");
		$backend = (empty ($bn_access) ) ? "unknown" : $bn_access;
		$setupdate = date ("M d Y h:i", filectime("$cfg_dir"));
	} else {
		$backend = "N/A";
		$setupdate = "not yet installed<br>";
	}

	$phpini = @get_cfg_var("cfg_file_path");
	// file upload config
	$file_uploads = @get_cfg_var("file_uploads");
	$upload_tmp_dir = @get_cfg_var("upload_tmp_dir");
	$upload_max_filesize = @get_cfg_var("upload_max_filesize");
	// Mail configuration
	$SMTP = @get_cfg_var("SMTP");
	$sendmail_from = @get_cfg_var("sendmail_from");
	$sendmail_path = @get_cfg_var("sendmail_path");
?>
<html><head><style type="text/css">
<!--
H1 { font-family: Helvetica, Arial, Geneva, Verdana, sans-serif; font-size: 18pt; font-weight: bold;}
BODY,TD,th { font-family: Helvetica, Arial, Geneva, Verdana, sans-serif; font-size: 10pt; }
-->
</style>
<title><?print wa_version()?></title></head><body>
<TABLE BORDER=0 CELLPADDING=5 CELLSPACING=1 WIDTH=600 BGCOLOR="#000000" ALIGN="CENTER">
<TR VALIGN="middle" BGCOLOR="#c0cad6"><TD ALIGN="left">
<a href="http://www.w-agora.net/"><img src="images/logo1.jpg" border=0 align="right" alt="w-agora Logo"></a><h3><font color="#000080"><?print wa_version() ?></font></h3>
</TD></TR>
</TABLE><BR>
<TABLE BORDER=0 CELLPADDING=3 CELLSPACING=1 WIDTH=600 BGCOLOR="#000000" ALIGN="CENTER">

<tr><th BGCOLOR="#ffffff" colspan=2>w-agora Informations</th></tr>
<TR><TD BGCOLOR="#c0cad6"><B>Setup date</B></TD><TD BGCOLOR="#d0dae6"><?print $setupdate?></TD></TR>
<TR><TD BGCOLOR="#c0cad6"><B>Database backend</B></td><TD BGCOLOR="#d0dae6"><?print $backend ?></td></TR>

<tr><th BGCOLOR="#ffffff" colspan=2>Environment</th></tr>
<? if (defined('PHP_OS') ) { ?>
<TR><TD BGCOLOR="#c0cad6"><B>Operating System </B></td><TD BGCOLOR="#d0dae6"><?print PHP_OS ?></td></TR>
<? } ?>
<TR><TD BGCOLOR="#c0cad6"><B>Server API</B></td><TD BGCOLOR="#d0dae6"><?print @php_sapi_name()?></td></TR>
<TR><TD BGCOLOR="#c0cad6"><B>Script owner</B></td><TD BGCOLOR="#d0dae6"><?print @get_current_user()?></td></TR>
<TR><TD BGCOLOR="#c0cad6"><B>PHP version</B></TD><TD BGCOLOR="#d0dae6"><?print phpversion()?></td></TR>

<tr><th BGCOLOR="#ffffff" colspan=2>PHP Configuration</th></tr>
<? if (!empty($phpini) ) { ?>
<TR><TD BGCOLOR="#c0cad6"><B>PHP configuration file (php.ini) path</B></td><TD BGCOLOR="#d0dae6"><?print $phpini ?></td></TR>
<? } ?>
<TR><TD BGCOLOR="#c0cad6"><B>PHP Safe mode</B></td><TD BGCOLOR="#d0dae6"><?print (get_cfg_var("safe_mode")) ? "On" : "Off"?></td></TR>
<TR><TD BGCOLOR="#c0cad6"><B>PHP Register Globals</B></td><TD BGCOLOR="#d0dae6"><?print (get_cfg_var("register_globals")) ? "On" : "Off"?></td></TR>
<tr><th BGCOLOR="#ffffff" colspan=2>File upload</th></tr>
<TR><TD BGCOLOR="#c0cad6"><B>HTTP File Uploads</B></td><TD BGCOLOR="#d0dae6"><?print $file_uploads ?></td></TR>
<TR><TD BGCOLOR="#c0cad6"><B>Temporary File Upload directory</B></td><TD BGCOLOR="#d0dae6"><?print $upload_tmp_dir ?></td></TR>
<TR><TD BGCOLOR="#c0cad6"><B>Maximum allowed size for uploaded files</B></td><TD BGCOLOR="#d0dae6"><?print $upload_max_filesize ?></td></TR>
<tr><th BGCOLOR="#ffffff" colspan=2>Mail configuration</th></tr>
<TR><TD BGCOLOR="#c0cad6"><B>SMTP server (win32 only) </B></td><TD BGCOLOR="#d0dae6"><?print $SMTP ?></td></TR>
<TR><TD BGCOLOR="#c0cad6"><B>Sendmail From address (win32 only) </B></td><TD BGCOLOR="#d0dae6"><?print $sendmail_from ?></td></TR>
<TR><TD BGCOLOR="#c0cad6"><B>Sendmail path (unix only)</B></td><TD BGCOLOR="#d0dae6"><?print $sendmail_path ?></td></TR>
</TABLE>
<?
} // end wa_info()

?>
