<?php

/* 
 *	W-AGORA
 *	-------
 *	$Id: index.php,v 1.12 2002/03/08 22:41:01 mdruilhe Exp $
 *	Usage:		main program
 *	Author:		Marc Druilhe <mdruilhe@w-agora.com>
 */	

	require ("globals.inc");

	if ( isset($argv[0]) && ( ($argv[0] == "about") || ($argv[0] == "info") )) {
		include ("$inc_dir/misc_func.$ext");
		wa_info();
		exit;
	}

# --------------------------------------
# Initialize configuration file and site
# --------------------------------------
	if (empty($bn)) {
# No forum selected -> default to 'site' configuration
		$site = empty($site) ? "agora" : $site;
		
		$cfg_file = "${cfg_dir}/site_${site}.${ext}";
		$expnd = "all";
	} else {
		$cfg_file = "${cfg_dir}/${bn}.${ext}";
	}
	

# read configuration for this forum
# ---------------------------------
	if (file_exists ("${cfg_file}")) {
		include ("$cfg_file");
	} else {
		include "init.inc";
		die (ERROR_NO_CONFIG_FILE . $cfg_file);
	}

	if (!isset($action)) {
		$action = "list";
	}
	
# set script to be invoked in the main frame/page
# -----------------------------------------------
	$main_url = "$action.${ext}?site=$site";
	
	if (!empty($bn)) {
		$main_url .= "&bn=$bn";
	}

	if (!empty($key)) {
		$main_url .= "&key=$key";
	}

	if (!empty($expnd)) {
		$main_url .= "&expnd=$expnd";
	}

# Frame stuff
# -----------
	if ($bn_frames) {
		?><!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Frameset//EN"><?PHP
		$title = (isset($bn_title) ) ? "<HEAD><TITLE>$bn_title</TITLE></HEAD>" : "";
		echo "<HTML>\n$title\n";
		printf ("<FRAMESET %s>\n", $bn_frameset);
		printf (" <FRAME %s src=\"%s\" name=\"header\">\n", $bn_frame1, "header.${ext}?site=$site&bn=$bn");
		printf (" <FRAME src=\"%s\" name=\"main\" frameborder=0>\n", $main_url);
		if ($bn_frame2) {
 			printf (" <FRAME %s src=\"%s\" name=\"footer\">", $bn_frame2, "footer.${ext}?site=$site&bn=$bn");
		}

		?><NOFRAMES><?PHP 
		$lynx=1;
		$frameset=1;
		$no_cookie=1;
		include "$bin_dir/$action.$ext";
		echo "</NOFRAMES>\n</FRAMESET>\n</HTML>\n";
	} else {
		include "$bin_dir/$action.$ext";
	}

?>

