<?PHP

/*
 *	W-AGORA 4.1
 *	-----------
 *	$Id: lang_da.inc,v 1.1 2002/06/10 14:54:37 mdruilhe Exp $
 *	Usage:			Localized strings constant
 *	Description:	This script is used to define localized strings used by the application
 *	Author:			Alexandre GHEZ (aghez@decan.fr)
 *  Translator:		Henning Schou (hs@tag-gym.dk) 
 */

	define 	(YES, 'Ja');
	define 	(NO, 'Nej');
	define	(TITLE_ERROR, 'Fejl');

	define 	(LABEL_NONE,	'Ingen');
	define 	(LABEL_NOTICE,	'Bemrk');
	define 	(LABEL_CANCEL,	'Annuller');
	define 	(LABEL_SAVE,	'Gem');
	define 	(LABEL_CONFIRM,	'Bekrft');
	define 	(LABEL_UNDO,	'Fortryd');
	define 	(LABEL_RESET,	'Nulstil');
	define 	(LABEL_HOURS,	'timer');
	define 	(LABEL_YES,		'Ja');
	define 	(LABEL_NO,		'Nej');
	define	(LABEL_SITES_AVAILABLE,	'Tilgngelige omrder');

	define	(BUTTON_BACK, 	'Tilbage');
	define	(BUTTON_DELETE, 'Slet');

	define 	(BUTTON_OK,		'OK');

	//////////////
	//init.inc & others
	//////////////
	define 	(LABEL_JUMP_TO,		'G&aring; til ');
	define	(LABEL_GO,  		'Ok');

	define	(USER_STATE_LOCKED,		'L&aring;st');
	define	(USER_STATE_ACTIVE,		'Aktiv');
	define	(USER_STATE_PENDING,	'Sv&aelig;vende');

	define	(FORUM_TYPE_PUBLIC,		'Offentlig');
	define	(FORUM_TYPE_REGISTERED,	'Registreret');
	define	(FORUM_TYPE_RESTRICTED,	'Begr&aelig;nset');
	define	(FORUM_TYPE_PRIVATE,	'Privat');

	define	(FORUM_STATE_INACTIVE,	'Inaktiv');
	define	(FORUM_STATE_ACTIVE,	'Aktiv');
	define	(FORUM_STATE_LOCKED,	'L&aring;st');
	define	(FORUM_STATE_CLOSED,	'Lukket');

	define	(LABEL_ADMIN,		'admin');
	define	(ALT_ADMIN_SITE,	'G&aring; til omr&aring;de administration');


	//////////////
	//browse.php
	//////////////
	define	(LABEL_BROWSE_SERVER, 'Gennemse server');
	define	(ERROR_NO_BROWSE_SERVER, 'Ikke tilladt at gennemse server');

	/////////////
	//Close.php
	/////////////
	define	(LABEL_CLOSE_THREAD,'Luk trd');
	define	(LABEL_THREAD_CLOSED, 'Trden er lukket');
	define	(LABEL_THREAD_OPENED, 'Trden er (gen)bnet');
	define	(LABEL_ASK_CLOSE_THREAD, 'nsker du at lukke den flgende trd?');
	define	(LABEL_ASK_OPEN_THREAD, 'nsker du at (gen)bne den flgende trd?');

	//////////////
	//Delete.php
	////////////
	define	(LABEL_DELETE_NOTE, 'Slet indlg');

	//////////////
	//Download_forum.php
	////////////
	define	(LABEL_SUBSCRIBE, 'Abonner');
	define	(LABEL_RECEIVE_UPDATES, 'Modtag tilfjelser til denne trd');
	define	(LABEL_CLOSE_OPEN_THREAD, 'Luk/(gen)ben trd');
	define	(LABEL_NEXT_THREAD, 'Nste trd');
	define	(LABEL_TOP, 'Top');
	define	(TITLE_DOWNLOAD_FORUM, 'Hent hele dette forum');
	define	(ERROR_NO_FORUM_SPECIFIED, 'Du skal angive et forum');
	define	(LABEL_SHOW_ALL,'Vis alt');
	define	(LABEL_SHOW_ACTIVE_THREADS, 'Vis aktive trde siden:');

	//////////////
	//Download_thread.php
	////////////
	define	(TITLE_DOWNLOAD_THREAD, 'Hent hele denne trrd');
	define	(LABEL_SPECIFY_THREAD, 'Du skal angive en trd');
	define	(LABEL_DELETE_THIS_MESSAGE, 'Slet denne meddelelse');
	define	(LABEL_THREAD_ALREADY_CLOSED, 'Denne trd er lukket for flere indlg');

	//////////////
	//change_password.php
	////////////
	define	(ERROR_FEATURE_DISABLED, 'Denne funktion er dedaktiveret i dette omrde');
	define	(LABEL_NEW_PASSWORD_TWICE, 'Det nye password skal angives (to gange), bekrft venligst');
	define	(ERROR_NO_PASSWORD_CHANGE, 'Kunne ikke ndre password for brugeren %s, kontakt venligst administratoren');
	define	(LABEL_PASSWORD_CHANGED, 'Dit password er udskiftet');
	define	(ERROR_INVALID_LOGIN_PASSWORD, 'Forkert login/password');
	define	(TITLE_CHANGE_USER_PASSWORD, 'Skift password for brugeren');
	define	(LABEL_CHANGE_PASSWORD,  			"Skift password");
	define	(LABEL_USER_LOGIN, 'Login (bruger id):');
	define	(LABEL_USER_NEW_PASSWORD, 'Nyt password:');
	define	(LABEL_USER_NEW_PASSWORD_AGAIN, 'Nyt password (igen):');
	define	(LABEL_USER_PASSWORD, 'Password:');

	//////////////////
	// Profile.php
	/////////////////
	define (LABEL_ROOT, 'System Administrator');
	define (LABEL_ADMINISTRATOR, 'Administrator');
	define (LABEL_MODERATOR, 'Forum Moderator');
	define (LABEL_USER, 'Bruger');
	define (ERROR_LOGIN_REGISTER, 'V&aelig;r venlig at <a href="%s">logge ind</a> eller <a href="%s">registrere</a> i dette omr&aring;de inden du redigerer din profil');

	///////////////
	// login.php
	///////////////
	define	(TITLE_WELCOME, 'Velkommen');
	define	(MSG_WELCOME,	'<br><br><h3 align=center>Velkommen %s<br>%s</h3></p>');	// Username, url
	define	(ALT_WELCOME,	'tilbage til startsiden');

	/////////////////
	// misc. Classes
	////////////////
	define (MSG_WARNING,		"<b>Advarsel:</b> <tt>%s</tt><br>\n%s<br>"); // text, reason
	define (MSG_ERROR,			"<b><font color=\"red\">%s fejl: </font></b><tt>%s</tt><br>\n%s<br>\n"); // component, msg, reason
	define (MSG_SESSION_HALTED,	'Session stoppet.');
	define (ERROR_CODE_WAS,		'Fejlkoden var: <tt>%s</tt>');

	//////////////////////
	// include/form.php
	/////////////////////
	define (COLUMN_ATTACHMENTS,		'Navn:');
	define (COLUMN_TYPE,			'Type:');
	define (COLUMN_SIZE,			'Vedh&aelig;ftede filer:');
	define (COLUMN_INLINE,			'Inline:');
	define (LABEL_UPLOAD,			'Send fil');
	define (LABEL_COPY,				'Kopier fil');
	define (LABEL_DELETE,			'Slet valgte filer');
	define (ERROR_ALREADY_SUBMITED, 'Denne side er afsendt, vent venligst');
	define (ERROR_SELECT_FILE,		'Du skal vlge en fil');
	define (ERROR_SELECT_DEL_FILE,	'Vlg den velhftede fil, som skal slettes');
	define (ERROR_MISSING_FIELD,	'Dette felt skal udfyldes (%s)');
	define (CONFIRM_SEND_FILE,		'Send filen nu?');
	define (CONFIRM_DEL_FILE,		'Slet valgte filer?');
	define (TITLE_REPLY_FORM,		'Besvar denne meddelelse');
	define (TITLE_EDIT_FORM,		'Rediger denne meddelelse');
	define (TITLE_POST_FORM,		'Send en ny meddelelse');
	define (TITLE_ATTACHMENTS,		'<b>Vedh&aelig;ftede filer:</b>');

	/////////////////////////
	// include/viewnote.php
	/////////////////////////
	define	(LABEL_REPLY_MESSAGE,	'svar');
	define	(ALT_REPLY_MESSAGE,		'Besvar denne meddelelse');
	define	(LABEL_EDIT_MESSAGE,	'rediger');
	define	(ALT_EDIT_MESSAGE,		'Rediger denne meddelelse');
	define	(LABEL_DELETE_MESSAGE,	'slet');
	define	(ALT_DELETE_MESSAGE,	'Slet denne meddelelse');
	define	(ALT_SHOW_PROFILE,		'Vis profilen for %s');

	////////////////////////////
	// include/fileupload.php
	////////////////////////////
	define (ERROR_FILE_TOO_BIG,		'Denne fils strrelse overskrider maksimum for dette forum');
	define (ERROR_INVALID_FILE_TYPE,'Denne fil type er ikke tilladt i dette forum');
	define (ERROR_NO_FILE,			'kunne ikke uploade <b>%s</b> (%s) - Kontroller filstrrelsen');
	define (ERROR_FILE_NOT_SAVED,	'Fejl under upload af filen <b>%s</b> (%s) - Filen er ikke gemt');
	define (ERROR_FILE_COPY,		'Fejl under kopiering af filen <b>%s</b>');
	define (MSG_FILE_ATTACHED,		'Filen %s er vedh&aelig;ftet. Brug denne URL til at downloade den: %s'); // $attachment, $att_url

	////////////////////
	// include/auth.php
	////////////////////
	define	(LABEL_PLEASE_LOGIN,   	'Angiv venligst login');
	define	(LABEL_SITE_LOGIN,   	'Identificer venligst dig selv i dette omrde \'%s\'');
	define	(ERROR_INVALID_LOGIN,   'Ugyldig login, gentag venligst.');
	define 	(LABEL_USERNAME,   		'Bruger');
	define 	(LABEL_PASSWORD,   		'Password');
	define	(LABEL_DO_LOGIN,   		'Login');
	define	(LABEL_REGISTER,   		'Tilmeld');
	define	(LABEL_FORGOT_PASSWORD,	'Glemt password?');

	//////////////////////////
	// include/dbaccess.php
	/////////////////////////
	define (ERROR_DB_NOT_SUPPORTED,	'<b>%s</b> understttes ikke i din PHP konfiguration<br> Kontroller php.ini, re-compiler eller sprg din ISP');


	//////////////////////////
	// users.php
	/////////////////////////

	define (TITLE_USERS_LIST,		'<h2>Brugerliste</h2>');

	define (MSG_NO_USER,			'Ingen brugere');

	define (LABEL_ALL_USERS,		'Alle brugere');
	define (LABEL_FULL_DISPLAY,		'Fuld visning');
	define (LABEL_SIMPLE_DISPLAY,	'Simpel visning');
	define (LABEL_DISPLAY,			'Visning');
	
	define (LABEL_PREV_USERS,	"<img src=\"$icon_dir/prev.gif\" border=0 width=24 height=22 alt='Foreg&aring;ende'>");
	define (LABEL_NEXT_USERS,	"<img src=\"$icon_dir/next.gif\" border=0 width=24 height=22 alt='N&aelig;ste'>");
	define (LABEL_END_USERS,	"<img src=\"$icon_dir/end.gif\" border=0 width=24 height=22 alt='Slut'>");
	define (LABEL_BEGIN_USERS,	"<img src=\"$icon_dir/begin.gif\" border=0 width=24 height=22 alt='Start'>");

	define (ALT_PROFILE,			'Brugerprofil');

	define (COLUMN_ID,				'ID');
	define (COLUMN_NAME,			'Navn');
	define (COLUMN_JOIN_DATE,		'Tilmeldingsdato');
	define (COLUMN_ADDRESS,			'E-mail');
	define (COLUMN_HOME_PAGE,		'Home page');
	define (COLUMN_LOGINS,			'Logins');
	define (COLUMN_POSTS,			'Indlg');
	define (COLUMN_ICQ,				'ICQ');
	define (COLUMN_AIM,				'AIM');
	define (COLUMN_MSN,				'MSN');
	define (COLUMN_YAHOO,			'Yahoo!');

	//////////////////////////
	// search.php
	/////////////////////////
	define (LABEL_ALL_AUTHORS,	'Alle brugere');
	define (LABEL_ALL_FORUMS,	'Alle fora');
	define (LABEL_THIS_FORUM,	'Dette forum');

?>
