<?PHP

/*
 *	W-AGORA 4.1
 *	-----------
 *	$Id: lang_de.inc,v 1.27 2002/06/05 16:45:19 mdruilhe Exp $
 *	Usage:			Localized strings constant
 *	Description:	This script is used to define localized strings used by the application
 *	Author:			Alexandre GHEZ (aghez@decan.fr)
 *					German translation by Ralf Schaefer (ralf.schaefer@gmx.ch)
 */

	define 	(YES, "Ja");
	define 	(NO, "Nein");
	define	(TITLE_ERROR, 'Fehler');

	define 	(LABEL_NONE,			"Keine");
	define 	(LABEL_NOTICE,			"Notiz");
	define 	(LABEL_CANCEL,			"Abbrechen");
	define 	(LABEL_SAVE,			"Speichern");
	define 	(LABEL_CONFIRM,			"Best&auml;tigen");
	define 	(LABEL_UNDO,			"R&uuml;ckg&auml;ngig");
	define 	(LABEL_RESET,			"Zur&uuml;cksetzen");
	define 	(LABEL_HOURS,			"Stunden");
	define 	(LABEL_YES,				"Ja");
	define 	(LABEL_NO,				"Nein");
	define	(LABEL_SITES_AVAILABLE, 	'Verf&uuml;gbare Sites');

	define	(BUTTON_BACK, 	'Zur&uuml;ck');
	define	(BUTTON_DELETE, 'L&ouml;schen');
	define 	(BUTTON_OK,		'OK');

	//////////////
	//init.inc & others
	//////////////
	define 	(LABEL_JUMP_TO,			'Gehe zu ');
	define	(LABEL_GO,  			"Los!");

	define	(USER_STATE_LOCKED, 		"Gesperrt");
	define	(USER_STATE_ACTIVE, 		"Aktiv");
	define	(USER_STATE_PENDING, 		"Pending");

	define	(FORUM_TYPE_PUBLIC, 		"&Ouml;ffentlich");
	define	(FORUM_TYPE_REGISTERED, 	"Registriert");
	define	(FORUM_TYPE_RESTRICTED, 	"Eingeschr&auml;nkt");
	define	(FORUM_TYPE_PRIVATE, 		"Privat");

	define	(FORUM_STATE_INACTIVE, 		"Inaktiv");
	define	(FORUM_STATE_ACTIVE	, 		"Aktiv");
	define	(FORUM_STATE_LOCKED, 		"Gesperrt");
	define	(FORUM_STATE_CLOSED, 		"Geschlossen");


	define	(LABEL_ADMIN, 'admin');
	define	(ALT_ADMIN_SITE, 'Gehe zur Administration-Seite der site');


	//////////////
	//browse.php
	//////////////
	define	(LABEL_BROWSE_SERVER, 'Server durchsuchen');
	define	(ERROR_NO_BROWSE_SERVER, 'Durchsuchen des Servers nicht erlaubt');

	/////////////
	//Close.php
	/////////////
	define	(LABEL_CLOSE_THREAD,'Diskussion schlieen');
	define	(LABEL_THREAD_CLOSED, 'Die Diskussion wurde geschlossen');
	define	(LABEL_THREAD_OPENED, 'Die Diskussion wurde (wieder) ge&ouml;ffnet');
	define	(LABEL_ASK_CLOSE_THREAD, 'Soll die folgende Diskussion geschlossen werden?');
	define	(LABEL_ASK_OPEN_THREAD, 'Soll die folgende Diskussion (wieder) ge&ouml;ffnet werden?');


	//////////////
	//Delete.php
	////////////
	define	(LABEL_DELETE_NOTE, 'Beitrag l&ouml;schen');

	//////////////
	//Download_forum.php
	////////////
	define	(LABEL_SUBSCRIBE, 'Abonnieren');
	define	(LABEL_RECEIVE_UPDATES, 'Benachrichtigung bei &Auml;nderungen in dieser Diskussion');
	define	(LABEL_CLOSE_OPEN_THREAD, 'Diskussion schlieen/wieder &ouml;ffnen');
	define	(LABEL_NEXT_THREAD, 'N&auml;chste Diskussion');
	define	(LABEL_TOP, 'Anfang');
	define	(TITLE_DOWNLOAD_FORUM, 'Komplettes Forum laden');
	define	(ERROR_NO_FORUM_SPECIFIED, 'Es mu ein Forum angegeben werden');
	define	(LABEL_SHOW_ALL,'Alles anzeigen');
	define	(LABEL_SHOW_ACTIVE_THREADS, 'Zeige aktive Diskussionen seit:');

	//////////////
	//Downloadthread.php
	////////////
	define	(TITLE_DOWNLOAD_THREAD, 'Komplette Diskussion laden');
	define	(LABEL_SPECIFY_THREAD, 'Es mu eine Diskussion angegeben werden');
	define	(LABEL_DELETE_THIS_MESSAGE, 'Diesen Beitrag l&ouml;schen');
	define	(LABEL_THREAD_ALREADY_CLOSED, 'Diese Diskussion ist geschlossen, es k&ouml;nnen keine weiteren Beitr&auml;ge hinzugef&uuml;gt werden');

	//////////////
	//change_password.php
	////////////
	define	(ERROR_FEATURE_DISABLED, 'Die Funktion steht f&uuml;r dieses Forum nicht zur Verf&uuml;gung');
	define	(LABEL_NEW_PASSWORD_TWICE, 'Das neue Kennwort mu zur Kontrolle zweimal eingegeben werden, bitte &uuml;berpr&uuml;fen');
	define	(ERROR_NO_PASSWORD_CHANGE, "Das Kennwort f&uuml;r %s konnte nicht ge&auml;ndert werden, bitte wenden Sie sie an den Administrator");
	define	(LABEL_PASSWORD_CHANGED, 'Das Kennwort wurde ge&auml;ndert');
	define	(ERROR_INVALID_LOGIN_PASSWORD, 'Ung&uuml;ltiger Benutzername oder Kennwort');
	define	(TITLE_CHANGE_USER_PASSWORD, 'Kennwort des Benutzers &auml;ndern');
	define	(LABEL_CHANGE_PASSWORD, 'Kennwort &auml;ndern');
	define	(LABEL_USER_LOGIN, 'Anmeldung: (Benutzername):');
	define	(LABEL_USER_NEW_PASSWORD, 'Neues Kennwort:');
	define	(LABEL_USER_NEW_PASSWORD_AGAIN, 'Kennwortbest&auml;tigung:');
	define	(LABEL_USER_PASSWORD, 'Kennwort:');

	//////////////
	// include/viewnote.php
	////////////
	define	(LABEL_REPLY_MESSAGE, 'Antwort');
	define	(ALT_REPLY_MESSAGE, 'Auf diesen Beitrag antworten');
	define	(LABEL_EDIT_MESSAGE, "Bearbeiten");
	define	(ALT_EDIT_MESSAGE, 'Beitrag &uuml;berarbeiten');
	define	(LABEL_DELETE_MESSAGE, "L&ouml;schen");
	define	(ALT_DELETE_MESSAGE, 'Diesen Beitrag l&ouml;schen');
	define	(ALT_SHOW_PROFILE, 'Show profile of %s');

	//////////////
	//include/form.php
	////////////
	define (COLUMN_ATTACHMENTS, 'Name:');
	define (COLUMN_TYPE, 'Typ:');
	define (COLUMN_SIZE, 'Anlage:');
	define (COLUMN_INLINE, 'Direktdarstellung:');
	define (LABEL_UPLOAD, 'Datei senden');
	define (LABEL_COPY, 'Datei kopieren');
	define (LABEL_DELETE, 'Markierte Dateien l&ouml;schen');
	// Do not use &auml; &uuml; &ouml; etc. in the following error texts.
	// The dialogboxes which display them do not perform HTML-like transformation
	define (ERROR_ALREADY_SUBMITED, 'Bitte warten, die Daten werden bermittelt');
	define (ERROR_SELECT_FILE, 'Es mu eine Datei ausgewhlt werden');
	define (ERROR_SELECT_DEL_FILE, 'Es mu zuerst die zu lschende Datei/Anlage markiert werden');
	define (ERROR_MISSING_FIELD, 'Dieses Feld (%s) mu ausgefllt werden');
	define (CONFIRM_SEND_FILE, 'Die Datei jetzt bertragen?');
	define (CONFIRM_DEL_FILE, 'Markierte Dateien lschen?');
	define (TITLE_REPLY_FORM, 'Antwort zu Beitrag senden');
	define (TITLE_EDIT_FORM, 'Beitrag &uuml;berarbeiten');
	define (TITLE_POST_FORM, 'Neuen Beitrag senden');
	define (TITLE_ATTACHMENTS, '<b>Anlagen:</b>');

	//////////////
	//include/fileupload.php
	////////////
	define	(ERROR_FILE_TOO_BIG, 'Die Gr&ouml;e dieser Datei &uuml;berschreitet das f&uuml;r dieses Forum festgelegte Maximum');
	define	(ERROR_INVALID_FILE_TYPE, 'Dieser Dateityp ist in diesem Forum nicht zugelassen');
	define	(ERROR_NO_FILE, 'Die Datei <b>%s</b> konnte nicht empfangen werden (%s) - &Uuml;berpr&uuml;fen Sie die Dateigr&ouml;e');
	define	(ERROR_FILE_NOT_SAVED, 'Die Datei <b>%s</b> konnte nicht geladen werden (%s) - Datei nicht gespeichert');
	define	(ERROR_FILE_COPY, 'Fehler beim Kopieren der Datei <b>%s</b>');
	define (MSG_FILE_ATTACHED,	'An den Beitrag ist die Datei %s angeh&auml;ngt. Verwenden Sie diese URL um sie zu downloaden : %s'); // $attachment, $att_url

	/////////////////
	// misc. Classes
	////////////////
	define	(MSG_WARNING, "<b>Warnung:</b> <tt>%s</tt><br>\n%s<br>"); // text, reason
	define	(MSG_ERROR, "<b><font color='red'>%s Fehler: </font></b><tt>%s</tt><br>\n%s<br>\n"); // component, msg, reason
	define	(MSG_SESSION_HALTED, "Session angehalten.");
	define	(ERROR_CODE_WAS, "Fehlernummer: <tt>%s</tt>");

	/////////////
	//Profile.php
	/////////////
	define	(LABEL_ROOT, "Systemadministrator");
	define	(LABEL_ADMINISTRATOR, "Administrator");
	define	(LABEL_MODERATOR, "Forum-Moderator");
	define	(LABEL_USER, "Benutzer");
	define (ERROR_LOGIN_REGISTER, 'Bitte <a href="%s">melden Sie sich an</a> oder <a href="%s">registrieren Sie sich</a> in dieser site bevor Sie Ihre Einstellungen &auml;ndern');

	///////////////
	//auth.php
	///////////////
	define	(LABEL_PLEASE_LOGIN,   				"Bitte Benutzernamen eingeben");
	define	(LABEL_SITE_LOGIN,   				"Bitte melden Sie sich f&uuml;r die Site '%s' an:");
	define	(ERROR_INVALID_LOGIN,   			"Ung&uuml;ltiger Benutzername, bitte Anmeldung wiederholen.");
	define 	(LABEL_USERNAME,   					"Benutzer");
	define 	(LABEL_PASSWORD,   					"Kennwort");
	define	(LABEL_DO_LOGIN,   					"Anmelden");
	define	(LABEL_REGISTER,   					"Registrieren");
	define	(LABEL_FORGOT_PASSWORD,  			"Kennwort vergessen?");

	///////////////
	//login.php
	///////////////
	define	(TITLE_WELCOME, 'Willkommen');
	define	(MSG_WELCOME,	'<br><br><h3 align=center>Wilkommen %s<br>%s</h3></p>');	// Username, url
	define	(ALT_WELCOME,	'Zur&uuml;ck zur Startseite');

	//////////////////////////
	// include/dbaccess.php
	/////////////////////////
	define (ERROR_DB_NOT_SUPPORTED,	'Unterst&uuml;tzung f&uuml;r <b>%s</b> ist in der PHP Konfiguration nicht aktiviert<br>&Uuml;berpr&uuml;fen Sie die php.ini, erzeugen Sie php neu oder fragen Sie Ihren ISP');


	//////////////////////////
	// users.php
	/////////////////////////

	define (TITLE_USERS_LIST,		'<h2>Benutzerliste</h2>');

	define (MSG_NO_USER,			'Keine Benutzer');

	define (LABEL_ALL_USERS,		'Alle');
	define (LABEL_FULL_DISPLAY,		'Details');
	define (LABEL_SIMPLE_DISPLAY,	'bersicht');
	define (LABEL_DISPLAY,			'Anzeige');
	
	define (LABEL_PREV_USERS,	"<img src=\"$icon_dir/prev.gif\" border=0 width=24 height=22 alt='Zurck'>");
	define (LABEL_NEXT_USERS,	"<img src=\"$icon_dir/next.gif\" border=0 width=24 height=22 alt='Weiter'>");
	define (LABEL_END_USERS,	"<img src=\"$icon_dir/end.gif\" border=0 width=24 height=22 alt='Ende'>");
	define (LABEL_BEGIN_USERS,	"<img src=\"$icon_dir/begin.gif\" border=0 width=24 height=22 alt='Anfang'>");
	
	define (ALT_PROFILE,			'Benutzereigenschaften');

	define (COLUMN_ID,			'ID');
	define (COLUMN_NAME,		'Name');
	define (COLUMN_JOIN_DATE,	'Registriert seit');
	define (COLUMN_ADDRESS,		'eMail');
	define (COLUMN_HOME_PAGE,	'Homepage');
	define (COLUMN_LOGINS,		'Besuche');
	define (COLUMN_POSTS,		'Beitrge');
	define (COLUMN_ICQ,			'ICQ');
	define (COLUMN_AIM,			'AIM');
	define (COLUMN_MSN,			'MSN');
	define (COLUMN_YAHOO,		'Yahoo!');

	//////////////////////////
	// search.php
	/////////////////////////
	define (LABEL_ALL_AUTHORS,	'(Alle)');
	define (LABEL_ALL_FORUMS,	'allen Foren');
	define (LABEL_THIS_FORUM,	'Dieses Forum');

?>
