<?PHP

/*
 *	W-AGORA 4.1
 *	-----------
 *	$Id: lang_fr.inc,v 1.21 2002/06/05 16:45:19 mdruilhe Exp $
 *	Usage:			Localized strings constant
 *	Description:	This script is used to define localized strings used by the application
 *	Initial author:	Alexandre GHEZ (aghez@decan.fr)
 */

	define 	(YES, 'Oui');
	define 	(NO, 'Non');
	define	(TITLE_ERROR, 'Erreur');

	define 	( 	LABEL_NONE,					"Aucun");
	define 	( 	LABEL_NOTICE,				"Remarque");
	define 	( 	LABEL_CANCEL,				"Annuler");
	define 	( 	LABEL_SAVE,					"Enregistrer");
	define 	( 	LABEL_CONFIRM,				"Confirmer");
	define 	( 	LABEL_UNDO,					"Annuler les modifications");
	define 	( 	LABEL_RESET,				"Rtablir le formulaire");
	define 	( 	LABEL_HOURS,				"heures");
	define 	( 	LABEL_YES,					"Oui");
	define 	( 	LABEL_NO,					"Non");
	define	(LABEL_SITES_AVAILABLE, 		'Sites disponibles');

	define	(BUTTON_BACK, 	'Retour');
	define	(BUTTON_DELETE, 'Supprimer');
	define 	(BUTTON_OK,		'OK');

	//////////////
	//init.inc & others
	//////////////
	define	(LABEL_GO, 	'OK');
	define 	(LABEL_JUMP_TO,	'Aller  ');

	define	(USER_STATE_LOCKED, 	'Verrouill');
	define	(USER_STATE_ACTIVE, 	'Actif');
	define	(USER_STATE_PENDING, 	'En Attente');

	define	(FORUM_TYPE_PUBLIC, 	'Public');
	define	(FORUM_TYPE_REGISTERED, 'Enregistr');
	define	(FORUM_TYPE_RESTRICTED, 'Restreint');
	define	(FORUM_TYPE_PRIVATE, 	'Priv');

	define	(FORUM_STATE_INACTIVE,	'Inactif');
	define	(FORUM_STATE_ACTIVE,	'Actif');
	define	(FORUM_STATE_LOCKED,	'Verrouill');
	define	(FORUM_STATE_CLOSED,	'Ferm');

	define	(LABEL_ADMIN, 'admin');
	define	(ALT_ADMIN_SITE, 'Aller  l\'administration du site');


	//////////////
	//browse.php
	//////////////
	define	(LABEL_BROWSE_SERVER, "Parcours du serveur");
	define	(ERROR_NO_BROWSE_SERVER, "Le parcours du serveur n'est pas autoris");

	/////////////
	//Close.php
	/////////////
	define	(LABEL_CLOSE_THREAD,"Clore la discussion");
	define	(LABEL_THREAD_CLOSED, "La discussion a t ferme");
	define	(LABEL_THREAD_OPENED, "La discussion a t (r)ouverte");
	define	(LABEL_ASK_CLOSE_THREAD, "Souhaitez-vous fermer la discussion suivante?");
	define	(LABEL_ASK_OPEN_THREAD, "Souhaitez-vous (r)ouvrir la discussion suivante?");


	//////////////
	//Delete.php
	////////////
	define	(LABEL_DELETE_NOTE, "Supprimer le message");

	//////////////
	//Download_forum.php
	////////////
	define	(LABEL_SUBSCRIBE, "S'inscrire");
	define	(LABEL_RECEIVE_UPDATES, "Recevoir les mises  jour de cette discussion");
	define	(LABEL_CLOSE_OPEN_THREAD, "Fermer/(re)ouvrir la discussion");
	define	(LABEL_NEXT_THREAD, "Discussion suivante");
	define	(LABEL_TOP, "Haut");
	define	(TITLE_DOWNLOAD_FORUM, "Tlcharger le forum complet");
	define	(ERROR_NO_FORUM_SPECIFIED, "Vous devez choisir un forum");
	define	(LABEL_SHOW_ALL,"Tout afficher");
	define	(LABEL_SHOW_ACTIVE_THREADS, "Afficher les discussions cres depuis :");

	//////////////
	//Download_thread.php
	////////////
	define	(TITLE_DOWNLOAD_THREAD, "Tlcharger la discussion en entier");
	define	(LABEL_SPECIFY_THREAD, "Vous devez spcifier une discussion");
	define	(LABEL_DELETE_THIS_MESSAGE, "Supprimer ce message");
	define	(LABEL_THREAD_ALREADY_CLOSED, "Cette discussion est ferme, vous ne pouvez plus y ajouter de messages");

	define	(ERROR_FEATURE_DISABLED, "Cette fonctionnalit  t dsactiv pour ce site");
	define	(LABEL_NEW_PASSWORD_TWICE, "Le mot de passe doit tre saisi 2 fois, vrifiez  nouveau");
	define	(ERROR_NO_PASSWORD_CHANGE, "Impossible de mettre  jour le mot de passe de l'utilisateur %s, contactez l'administrateur");
	define	(LABEL_PASSWORD_CHANGED, "Votre mot de passe  t modifi");
	define	(ERROR_INVALID_LOGIN_PASSWORD, "Utilisateur ou identifiant invalide");
	define	(TITLE_CHANGE_USER_PASSWORD, "Changer le mot de passe de l'utilisateur");
	define	(LABEL_CHANGE_PASSWORD, "Changer le mot de passe");
	define	(LABEL_USER_LOGIN, "Identifiant utilisateur :");
	define	(LABEL_USER_NEW_PASSWORD, "nouveau mot de passe :");
	define	(LABEL_USER_NEW_PASSWORD_AGAIN, "Veuillez ressaisir le mot de passe (pour contrle) :");
	define	(LABEL_USER_PASSWORD, "mot de passe :");

	/////////////
	//Profile.php
	/////////////
	define	(LABEL_ROOT, "Administrateur Systme");
	define	(LABEL_ADMINISTRATOR, "Administrateur");
	define	(LABEL_MODERATOR, "Modrateur de forum");
	define	(LABEL_USER, "Utilisateur");
	define (ERROR_LOGIN_REGISTER, 'Attention, Vous devez vous <a href="%s">identifier</a> ou vous <a href="%s">enregistrer</a> afin d\'diter votre profil');

	//////////////////
	//auth.php
	//////////////////
	define	(LABEL_PLEASE_LOGIN, "Vous devez vous identifier pour accder  cette fonctionnalit");
	define	(LABEL_SITE_LOGIN, "Identifiez-vous pour le site '%s'");
	define	(ERROR_INVALID_LOGIN, "Identifiant non valide, merci de vous identifier  nouveau.");
	define 	(LABEL_USERNAME, "Utilisateur ");
	define 	(LABEL_PASSWORD, "Mot de passe ");
	define	(LABEL_DO_LOGIN, "Connexion");
	define	(LABEL_REGISTER, "M'inscrire");
	define	(LABEL_FORGOT_PASSWORD, "Mot de passe oubli ?");

	///////////////
	//login.php
	///////////////
	define	(TITLE_WELCOME, 'Bienvenue');
	define	(MSG_WELCOME,	'<br><br><h3 align=center>Bienvenue %s<br>%s</h3></p>');	// Username, url
	define	(ALT_WELCOME,	'retour  la page d\'accueil');

	/////////////////
	// misc. Classes
	////////////////
	define	(MSG_WARNING, "<font color='red'><b>Attention!:</b></font> <tt>%s</tt><br>\n%s<br>"); // text, reason
	define	(MSG_ERROR, "<b><font color='red'>erreur %s: </font></b><tt>%s</tt><br>\n%s<br>\n"); // component, msg, reason
	define	(MSG_SESSION_HALTED, "session termine.");
	define	(ERROR_CODE_WAS, "Le code erreur est: <tt>%s</tt>");

	//////////////
	//include/form.php
	////////////
	define (COLUMN_ATTACHMENTS, 'Fichier:');
	define (COLUMN_TYPE, 'Type:');
	define (COLUMN_SIZE, 'Taille:');
	define (COLUMN_INLINE, 'Affichage intgr:');
	define (LABEL_UPLOAD, 'Envoyer');
	define (LABEL_COPY, 'Copier');
	define (LABEL_DELETE, 'Supprimer les fichier slectionns');
	define (ERROR_ALREADY_SUBMITED, 'Cette page a dj t envoye, veuillez patienter');
	define (ERROR_SELECT_FILE, 'Vous devez selectionner un fichier');
	define (ERROR_SELECT_DEL_FILE, 'Vous devez tout d\'abord choisir la Pice jointe  supprimer');
	define (ERROR_MISSING_FIELD, 'Le champ [%s] doit etre renseign');
	define (CONFIRM_SEND_FILE, 'Envoyer le fichier maintenant ?');
	define (CONFIRM_DEL_FILE, 'Supprimer les fichiers slectionns ?');
	define (TITLE_REPLY_FORM, 'Rpondre  ce message');
	define (TITLE_EDIT_FORM, 'Modifier ce message');
	define (TITLE_POST_FORM, 'Nouveau message');
	define (TITLE_ATTACHMENTS, '<b>Pices jointes: </b>');

	//////////////////////////
	// include/viewnote.php
	/////////////////////////
	define	(LABEL_REPLY_MESSAGE, 'rpondre');
	define	(ALT_REPLY_MESSAGE, "Rpondre  ce message");
	define	(LABEL_EDIT_MESSAGE, "Editer");
	define	(ALT_EDIT_MESSAGE, "Modifier ce message");
	define	(LABEL_DELETE_MESSAGE, "Supprimer");
	define	(ALT_DELETE_MESSAGE, "Supprimer ce message");
	define	(ALT_SHOW_PROFILE, 'Voir le profil de %s');

	////////////////////////////
	// include/fileupload.php
	///////////////////////////
	define	(ERROR_FILE_TOO_BIG, 'La taille de ce fichier excde la taille maximum autorise pour ce forum');
	define	(ERROR_INVALID_FILE_TYPE, 'Ce type de fichier n\'est pas autoris dans ce forum');
	define	(ERROR_NO_FILE, 'Le fichier <u>%s</u> (type: %s) n\'a pas t tlcharg - Vrifiez sa taille');
	define	(ERROR_FILE_NOT_SAVED, 'Erreur de tlchargement du fichier <b>%s</b> (%s) - Le fichier n\'a pas t sauv');
	define	(ERROR_FILE_COPY, 'Erreur de copie du fichier <b>%s</b>');
	define	(MSG_FILE_ATTACHED, 'Le fichier %s a t joint  ce message, pour le visualiser, utilisez l\'URL : %s'); // $attachment, $att_url

	//////////////////////////
	// include/dbaccess.php
	/////////////////////////
	define (ERROR_DB_NOT_SUPPORTED,	'Votre configuration PHP ne supporte pas l\'accs <b>%s</b><br> Vrifiez le fichier php.ini, recompilez PHP ou contactez votre administrateur WEB');

	//////////////////////////
	// users.php
	/////////////////////////

	define (TITLE_USERS_LIST,		'<h2>Liste des utilisateurs</h2>');

	define (MSG_NO_USER,			'Aucun utilisateur');

	define (LABEL_ALL_USERS,		'Tous les utilisateurs');
	define (LABEL_FULL_DISPLAY,		'Affichage complet');
	define (LABEL_SIMPLE_DISPLAY,	'Affichage simple');
	define (LABEL_DISPLAY,			'Affichs');
	
	define (LABEL_PREV_USERS,	"<img src=\"$icon_dir/prev.gif\" border=0 width=24 height=22 align=absmiddle 				alt='Precedents'>");
	define (LABEL_NEXT_USERS,	"<img src=\"$icon_dir/next.gif\" border=0 width=24 height=22 align=absmiddle alt='Suivants'>");
	define (LABEL_END_USERS,	"<img src=\"$icon_dir/end.gif\" border=0 width=24 height=22 align=absmiddle alt='Fin'>");
	define (LABEL_BEGIN_USERS,	"<img src=\"$icon_dir/begin.gif\" border=0 width=24 height=22 align=absmiddle alt='Debut'>");

	define (ALT_PROFILE,			'Profil utilisateur');

	define (COLUMN_ID,				'ID');
	define (COLUMN_NAME,			'Nom');
	define (COLUMN_JOIN_DATE,		'Inscription');
	define (COLUMN_ADDRESS,			'E-mail');
	define (COLUMN_HOME_PAGE,		'Page perso');
	define (COLUMN_LOGINS,			'Connexions');
	define (COLUMN_POSTS,			'Messages');
	define (COLUMN_ICQ,				'ICQ');
	define (COLUMN_AIM,				'AIM');
	define (COLUMN_MSN,				'MSN');
	define (COLUMN_YAHOO,			'Yahoo!');

	//////////////////////////
	// search.php
	/////////////////////////
	define (LABEL_ALL_AUTHORS,	'Tous les auteurs');
	define (LABEL_ALL_FORUMS,	'Tous les forums');
	define (LABEL_THIS_FORUM,	'Ce forum');

?>