<?
/*
 *	W-AGORA 4.1
 *	-----------
 *	$Id: stats_da.inc,v 1.1 2002/06/10 14:54:37 mdruilhe Exp $
 *	Usage:			Stats localized strings constant
 *	Description:	This script is used to define strings used by the stats part of the application
 *	Author:			Syloo (syloo@w-agora.net)
 *  Translator:		Henning Schou (hs@tag-gym.dk) 
 */

define	(TITLE_STATS,			'Brugsstatistik for omr&aring;det <br><U>%s</U>');
define	(LABEL_GENERATED_ON,	'Genereret d. : %s');

define	(LABEL_YEAR_STATS,		'[&Aring;rsstatistik]');
define	(LABEL_FORUM_SUMMARY,	'[Pr. forum resume]');
define	(LABEL_TOP_TEN,			'[TOP 10]');
define	(LABEL_ADMIN,			'[administration]');

define	(TITLE_GENERAL_STATS,	'Generel Statistik');
define	(TITLE_YEAR_ACTIVITY,	'Seneste 12 m&aring;neders aktivitet');
define	(TITLE_TOP_TEN,			'Top 10');

define	(LABEL_DAY_STATS,			'[Daglig statistik]');
define	(LABEL_DAY_DETAILS,			'[Daglig detaljer]');
define	(LABEL_RETURN_MAIN_STATS,	'[tilbage til hovedsiden]');

/***********************************
****** General statistics
************************************/

define	(TITLE_ACTIVITY_SUMMARY, 'Activitetsresume for omr&aring;dte <font color=white><b>%s</b></font>');
define	(LABEL_FORUMS,			'Fora');
define	(LABEL_REGISTERED_U,	'Registrerede brugere');
define	(LABEL_SUBSCRIBED_U,	'Abonnent-brugere');
define	(LABEL_THREADS,			'Tr&aring;de');
define	(LABEL_NOTES,			'Meddelelser');
define	(LABEL_LAST_NOTE,		'Seneste meddelelse');
define	(LABEL_ATTACHMENTS,		'Vedh&aelig;ftede filer');


define	(TITLE_FORUMS_STATS,	'Forums-statistics');
define	(COLUMN_THREADS,		'#tr&aring;de');
define	(COLUMN_NOTES,			'#meddelelser<br>(dato for seneste)');
define	(COLUMN_ATT,			'#vedh&aelig;ftede filer<br>(total st&oslash;rrelse)');
define	(COLUMN_REGISTERED,		'#registreret');
define	(COLUMN_AUTHORS,		'#forfattere');
define	(COLUMN_SUBSCRIBED,		'#abonnenter');
define	(COLUMN_HITS,			'#hits');
define	(LABEL_LAST,			'Seneste');


define	(TITLE_YEAR_GRAPH,		'&Aring;rsstatistik for omr&aring;det <b><font color=white>%s</font></b>');
define	(LABEL_HITS,			'Hits');
define	(LABEL_LOGINS,			'Logins');
define	(LABEL_POSTS,			'Meddelelser');
define	(LABEL_SUBSCRIBES,		'Abonnementer');
define	(LABEL_VISITS,			'S&aelig;rskilte bes&oslash;g');
define	(ALT_GENERAL_FREQ,		'Generel frekventering af omr&aring;det %s');
define	(ALT_DETAIL_FREQ,		'Detaljeret frekventering af omr&aring;det %s');


define	(TITLE_MONTHLY_STATS,	'M&aring;nedlig statistik');
define	(COLUMN_DAILY_AVG,		'Dagligt gennemsnit');
define	(COLUMN_MONTHLY_TOT,	'M&aring;nedlige totaler');
define	(COLUMN_MONTH,			'M&aring;neder');
define	(COLUMN_LOGINS,			'#logins');
define	(COLUMN_SUBSCRIBES,		'#abonnenter');
define	(COLUMN_POSTS,			'#meddelelser');
define	(COLUMN_VISITS,			'#s&aelig;rskilte bes&oslash;g');


define	(TITLE_RECENT_THREADS,	'Aktuelle tr&aring;de');
define	(TITLE_ACTIVE_THREADS,	'Aktive tr&aring;de');
define	(TITLE_READ_NOTES,		'Mest l&aelig;ste meddlelse');
define	(LABEL_RATIO,			'forhold');
define	(LABEL_READ,			'l&aelig;st');
define	(LABEL_TIMES,			'gange');


/***********************************
****** Monthly statistics
************************************/

define	(TITLE_M_GENERAL_STATS,	'Generel statistik for omr&aring;det <b><font color=white>%s</font></b> i <b><font color=white>%s</b></font>');
define	(LABEL_DAILY_VISITS,	'Daglige bes&oslash;g');


define	(TITLE_MONTH_GRAPH,		'M&aring;nedlig statistik for omr&aring;det <b><font color=white>%s</font></b> i <b><font color=white>%s</b></font>');
define	(TITLE_DAILY_GRAPH,		'Daglig aktivitet for omr&aring;det %s i %s');

define	(ALT_YEAR_IMG1,			'M&aring;nedlig aktivitet for omr&aring;det %s (image1)');
define	(ALT_YEAR_IMG2,			'M&aring;nedlig aktivitet for omr&aring;det %s (image2)');
define	(ALT_MONTH_IMG1,		'Daglig aktivitet for omr&aring;det %s i %s (image1)');
define	(ALT_MONTH_IMG2,		'Daglig aktivitet for omr&aring;det %s i %s (image2)');

define	(TITLE_DAILY_STATS,		'Daglig statistik');
define	(COLUMN_DAY,			'Dag');
define	(COLUMN_DAILY_TOT,		'Daglige totaler');

?>
