<?
/*
 *	W-AGORA 4.1
 *	-----------
 *	$Id: stats_en.inc,v 1.4 2002/05/04 18:06:55 rschaefer Exp $
 *	Usage:			Stats localized strings constant
 *	Description:	This script is used to define strings used by the stats part of the application
 *	Author:			
 */

define	(TITLE_STATS,			'Usage statistics for the site <br><U>%s</U>');
define	(LABEL_GENERATED_ON,	'Generated on : %s');

define	(LABEL_YEAR_STATS,		'[Yearly Statistics]');
define	(LABEL_FORUM_SUMMARY,	'[Per forum summary]');
define	(LABEL_TOP_TEN,			'[TOP 10]');
define	(LABEL_ADMIN,			'[administration]');

define	(TITLE_GENERAL_STATS,	'General Statistics');
define	(TITLE_YEAR_ACTIVITY,	'Last 12 months activity');
define	(TITLE_TOP_TEN,			'Top 10');

define	(LABEL_DAY_STATS,			'[Daily statistics]');
define	(LABEL_DAY_DETAILS,			'[Daily details]');
define	(LABEL_RETURN_MAIN_STATS,	'[return to main page]');

/***********************************
****** General statistics
************************************/

define	(TITLE_ACTIVITY_SUMMARY, 'Activity summary for the site <font color=white><b>%s</b></font>');
define	(LABEL_FORUMS,			'Forums');
define	(LABEL_REGISTERED_U,	'Registered users');
define	(LABEL_SUBSCRIBED_U,	'Subscribed users');
define	(LABEL_THREADS,			'Threads');
define	(LABEL_NOTES,			'Notes');
define	(LABEL_LAST_NOTE,		'Last note');
define	(LABEL_ATTACHMENTS,		'Attachments');


define	(TITLE_FORUMS_STATS,	'Forums statistics');
define	(COLUMN_THREADS,		'#threads');
define	(COLUMN_NOTES,			'#notes<br>(Last note date)');
define	(COLUMN_ATT,			'#attachments<br>(total size)');
define	(COLUMN_REGISTERED,		'#registered');
define	(COLUMN_AUTHORS,		'#authors');
define	(COLUMN_SUBSCRIBED,		'#subscribed');
define	(COLUMN_HITS,			'#hits');
define	(LABEL_LAST,			'Last');


define	(TITLE_YEAR_GRAPH,		'Yearly statistics for site <b><font color=white>%s</font></b>');
define	(LABEL_HITS,			'Hits');
define	(LABEL_LOGINS,			'Logins');
define	(LABEL_POSTS,			'Posts');
define	(LABEL_SUBSCRIBES,		'Subscribes');
define	(LABEL_VISITS,			'Distinct visits');
define	(ALT_GENERAL_FREQ,		'General frequentation for site %s');
define	(ALT_DETAIL_FREQ,		'Detailed frequentation for site %s');


define	(TITLE_MONTHLY_STATS,	'Monthly statistics');
define	(COLUMN_DAILY_AVG,		'Daily average');
define	(COLUMN_MONTHLY_TOT,	'Monthly totals');
define	(COLUMN_MONTH,			'Month');
define	(COLUMN_LOGINS,			'#logins');
define	(COLUMN_SUBSCRIBES,		'#subscribes');
define	(COLUMN_POSTS,			'#posts');
define	(COLUMN_VISITS,			'#distinct visits');


define	(TITLE_RECENT_THREADS,	'Recent threads');
define	(TITLE_ACTIVE_THREADS,	'Active threads');
define	(TITLE_READ_NOTES,		'Most read notes');
define	(LABEL_RATIO,			'ratio');
define	(LABEL_READ,			'read');
define	(LABEL_TIMES,			'times');


/***********************************
****** Monthly statistics
************************************/

define	(TITLE_M_GENERAL_STATS,	'General statistics for site <b><font color=white>%s</font></b> in <b><font color=white>%s</b></font>');
define	(LABEL_DAILY_VISITS,	'Daily visits');


define	(TITLE_MONTH_GRAPH,		'Monthly statistics for site <b><font color=white>%s</font></b> in <b><font color=white>%s</b></font>');
define	(TITLE_DAILY_GRAPH,		'Daily activity for the site %s in %s');

define	(ALT_YEAR_IMG1,			'Monthly activity of site %s (image1)');
define	(ALT_YEAR_IMG2,			'Monthly activity of site %s (image2)');
define	(ALT_MONTH_IMG1,		'Daily activity of site %s in %s (image1)');
define	(ALT_MONTH_IMG2,		'Daily activity of site %s in %s (image2)');

define	(TITLE_DAILY_STATS,		'Daily statistics');
define	(COLUMN_DAY,			'Day');
define	(COLUMN_DAILY_TOT,		'Daily totals');

?>
