<?php

/*
 *	W-AGORA 4.0
 *	-----------
 *	$Id: login.php,v 1.10 2002/03/12 14:27:57 mdruilhe Exp $
 *	Usage:		present login form to user
 *	Author:		Marc Druilhe <mdruilhe@w-agora.com>
 *
 */

	$bn_action="login";
	define("no_auth_required", 1);		// Don't authenticate the user, he want to login !!
	require ("init.inc");

# Execute before_access program
# -----------------------------
	if (!empty($bn_before_access)) {
		if (file_exists ("$bn_dir/$bn_before_access") ) {
			include "$bn_dir/$bn_before_access";
		} else {
			include "$bn_dir_default/$bn_before_access";
		}
	} elseif (file_exists ("$bn_dir_default/before_access.$ext") ) {
		include ("$bn_dir_default/before_access.$ext");
	}

# Send to LOGIN page if defined
# --------------------------------
	$newURL = $auth->getLoginURL();
	if (is_string($newURL)) {
		if (empty($newURL)) {
			display_header ('', $header_footer);
			msgForm (msg(185, 'This feature has been disabled in this site'), $WA_SELF, 'back');
			display_footer ($header_footer);
		} else {
			header("Location: $newURL");
		}
		exit;
	}

# if login form has been submitted then authenticate him
# ------------------------------------------------------
	if (isset($loginform)) {
		// $auth->logout($site);
		// if ($auth->authenticate() ) {
		if ($is_authenticated) {
			if (empty($redirect_url)  ) {
				display_header (TITLE_WELCOME, $header_footer);
				printf(MSG_WELCOME, $auth->user["username"], anchor($main_page, ($bn_frames==1) ? '_top': '', ALT_WELCOME) );
			} elseif ($bn_frames) {
				display_header (TITLE_WELCOME, $header_footer);
				printf(MSG_WELCOME, $auth->user["username"], anchor($redirect_url, '_top', ALT_WELCOME, '') );
			} else {
				header ("Location: $redirect_url");
			}

		} else {
			display_header (ERROR_INVALID_LOGIN, $header_footer);
			$auth->login ($site);
		}
	} else {
# else we present the login form
# ------------------------------
		if ($is_authenticated) {
			$auth->logout($site);
		}
		display_header (LABEL_PLEASE_LOGIN, $header_footer);
		$auth->login ($site);
	}
	display_footer ($header_footer);
?>
