<?php

/*
 *	W-AGORA 4.0
 *	-----------
 *	$Id: search.php,v 1.16 2002/06/05 16:45:14 mdruilhe Exp $
 *	Usage:		display search form or perform search in forum
 *	Author:		Marc Druilhe <mdruilhe@w-agora.net>
 */

	$bn_action="search";
	$bn_action_mode="R";

	require ("init.inc");

	/* Execute before_access program */
	if (!empty($bn_before_access)) {
		if (file_exists ("$bn_dir/$bn_before_access") ) {
			include "$bn_dir/$bn_before_access";
		} else {
			include "$bn_dir_default/$bn_before_access";
		}
	} elseif (file_exists ("$bn_dir_default/before_access.$ext") ) {
		include ("$bn_dir_default/before_access.$ext");
	}

	$where = (empty($where)) ? "" : stripSlashes($where);
	$casesensitive = (empty($casesensitive)) ? 0 : 1;

	if (empty($bn) ) {
		$search_forums = $forums;
		unset ($search_forums[""]);
		$search_forums["ALL"] = LABEL_ALL_FORUMS;
		$search_forum_field = getListBox ("search_forum", $search_forums, "ALL", 0);
	} else {
		if (!$bn_search) {
			display_header ("", $header_footer);
			msgForm ("Sorry, search is not available into this forum ($bn)", "$main_page");
			display_footer ($header_footer);
		}
		$search_forums["$bn"] = LABEL_THIS_FORUM;
		$search_forums["ALL"] = LABEL_ALL_FORUMS;
		$search_forum_field = getListBox ("search_forum", $search_forums, "$bn", 0);
	}

	$search_users = $db->getAllUsers($site, 'username', 'lastpost>0');
	$search_users['ALL'] = LABEL_ALL_AUTHORS;
	$search_user_field = getListBox ('search_user', $search_users, 'ALL', 0);

	display_header ("", $header_footer);

	if ($gosearch) {

		if ($bn_search_engine == "none" || $bn_doc_type != "static") {
			// search in database

			$userid = ($search_user == "ALL") ? "" : $search_user;
			$forum = ($search_forum == "ALL") ? "" : $search_forum;
			if ($search_date > 0) {
				$start_date = $now - ($search_date * 86400);
			    $where .= empty($where) ? "" : " AND ";
				$where .= "unixdate>$start_date";
			}

			if (!empty($userid) ) {
			    $where .= (empty($where)) ? "" : " AND ";
				$where .= "userid='$userid'";
			}
	
			include "$inc_dir/dbsearch.$ext";
			$search = new DBsearch;
			$pattern=stripslashes($pattern);
			$num = $search->search ($pattern, $forum, $search_mode, $search_fields, $where, 0, $casesensitive);
			if ($num==0) {
			    dspMsg(30);
			}
		} else {
			include "$inc_dir/$bn_search_engine.$ext";
			$search->search ($pattern, $casesensitive);
		}
	} else {
		beginForm();
		hiddenField ("gosearch", "1");
		if (!empty($bn_search_form)) {
			include "$bn_dir/$bn_search_form";
		} elseif (file_exists("$bn_dir_default/search_form.$ext") ) {
			include ("$bn_dir_default/search_form.$ext");
		} else {
			include "$tmpl_dir/default/en/search_form.$ext";
		}
		endForm();
	}

# Display footer
# --------------
	display_footer ($header_footer);
?>
