<?
global $agora_dir;
$agora_dir = "..";
chdir($agora_dir);

include ("init_admin.inc");
include ("stats/find_stats.inc");


function dspMonthGeneralStats($stat) {
	global $site;
?>	
<table width="90%" border="0" cellspacing="1" cellpadding="0" align="center">
 <tr class="stats_border"><td> 
  <table width="100%" border="0" cellspacing="1" cellpadding="5" align="center">
   <tr> 
    <td colspan=2 class="stats_title">
     <?printf(TITLE_M_GENERAL_STATS,$stat["site_name"],$stat["month_name"])?>
    </td>
   </tr>
   <tr class="stats_even">
    <td class="stats_label" width="70%"><?echo LABEL_LOGINS?></td>
	<td class="stats_value"><?echo $stat["totallogins"]?>&nbsp;</td>
   </tr>
   <tr class="stats_odd">
    <td class="stats_label" width="70%"><?echo LABEL_VISITS?></td>
    <td class="stats_value"><?echo $stat["totalvisits"]?>&nbsp;</td>
   </tr>
   <tr class="stats_even">
    <td class="stats_label" width="70%"><?echo LABEL_HITS?></td>
    <td class="stats_value"><?echo $stat["totalhits"]?>&nbsp;</td>
   </tr>
   <tr class="stats_odd">
    <td class="stats_label" width="70%"><?echo LABEL_POSTS?></td>
    <td class="stats_value"><?echo $stat["totalposts"]?>&nbsp;</td>
   </tr>
   <tr class="stats_even">
    <td class="stats_label" width="70%"><?echo LABEL_SUBSCRIBES?></td>
    <td class="stats_value"><?echo $stat["totalsubscribes"]?>&nbsp;</td>
   </tr>
  </table>
 </td></tr></table>

<?
}

/**
 * Display stats by day for site
 */
function dspMonthDailyStats($stat) {
	global $db, $site, $ext, $month, $year;
	$month_name = date("M. Y",strtotime("$month/1/$year"));
?>
	<table width="90%" border="0" cellspacing="1" cellpadding="0" align="center">
     <tr class="stats_border"><td> 
      <table width="100%" border="0" cellspacing="1" cellpadding="1">
        <tr align="center">
         <td colspan=6 class="stats_title"><?echo TITLE_DAILY_STATS?></td></tr>
        <tr> 
          <td rowspan="2" bgcolor="#CCCCCC" class="stats_th" width="25%"><?echo COLUMN_DAY?></td>
          <td colspan="5" bgcolor="#CCCCCC" class="stats_th"><?echo COLUMN_DAILY_TOT?></td></tr>
        <tr>
		  <td align="center" bgcolor="#FFCCFF" class="stats_th" width="15%"><?echo COLUMN_HITS?></td> 
          <td align="center" bgcolor="#CCFFCC" class="stats_th" width="15%"><?echo COLUMN_LOGINS?></td>
          <td align="center" bgcolor="#FFFFCC" class="stats_th" width="15%"><?echo COLUMN_POSTS?></td>          
		  <td align="center" bgcolor="#99FF99" class="stats_th" width="15%"><?echo COLUMN_SUBSCRIBES?></td>
          <td align="center" bgcolor="#66FFCC" class="stats_th" width="15%"><?echo COLUMN_VISITS?></td></tr>
<?
	if (is_array($stat)) {
	    reset($stat);
		while (list($k,$tab) = each($stat)) {
			$cur_date = sprintf("%02d ",$k) . $month_name;
?>
	<tr> 
	  <td class="stats_value"><?echo $cur_date?>&nbsp;</td>
	  <td class="stats_value"><?echo (empty($tab[BAR_NUM_HITS]))? "-" : $tab[BAR_NUM_HITS]?>&nbsp;</td>
	  <td class="stats_value"><?echo (empty($tab[BAR_NUM_LOGINS]))? "-" : $tab[BAR_NUM_LOGINS]?>&nbsp;</td>
	  <td class="stats_value"><?echo (empty($tab[BAR_NUM_POSTS]))? "-" : $tab[BAR_NUM_POSTS]?>&nbsp;</td>	  
	  <td class="stats_value"><?echo (empty($tab[BAR_NUM_SUSCRIBES]))? "-" : $tab[BAR_NUM_SUBSCRIBES]?>&nbsp;</td>
	  <td class="stats_value"><?echo (empty($tab[BAR_NUM_VISITS]))? "-" : $tab[BAR_NUM_VISITS]?>&nbsp;</td>
    </tr>
<?		
		}
	}
?>
      </table>
    </td>
  </tr>
</table><?
} // end func

$month_date = strtotime("$month/1/$year"); 
$month_name = date("M. Y",$month_date);
$general_stats = monthGeneralStats($site,$month,$year);
$to_find["hits"] = 1;
$to_find["logins"] = 1;
$to_find["posts"] = 1;
$to_find["subscribes"] = 1;
$to_find["visits"] = 1;
$daily_stats = monthDailyStats($site,$month,$year,$to_find);

$categories = $db->getCategories($site);
$site_title = $categories[0];

?>

<html>
<head>
<title><?php echo strip_tags(sprintf(TITLE_MONTH_GRAPH,$site,$month_name))?></title>
<?
	if (!empty($bn_charset)) {
		printf ("<META http-equiv=\"Content-Type\" Content=\"text/html; charset=%s\">\n", $bn_charset);
	}
?>
<link rel="stylesheet" href="../style.css">
</head>

<body bgcolor="#FFFFFF">

<CENTER>
 <H2><?php printf (TITLE_MONTH_GRAPH,$site,$month_name)?></H2>
 <SMALL><STRONG><?printf (LABEL_GENERATED_ON, $formated_date)?></STRONG></SMALL>
<hr noshade width="90%">
 <p>
 <SMALL>
  <a HREF="#DAYGRAPH" class=label><?echo LABEL_DAY_STATS?></a>&nbsp;
  <a HREF="#DAYSTATS" class=label><?echo LABEL_DAY_DETAILS?></a>&nbsp;
  <a HREF="<?echo "index.$ext?site=$site"?>"class=label><?echo LABEL_RETURN_MAIN_STATS?></a>&nbsp;
  <a HREF="<?echo "../admin_site.$ext?site=$site"?>" class=label><?echo LABEL_ADMIN?></a>
 </SMALL>
</CENTER>


<!-- Month general stats -->
<p>
<?dspMonthGeneralStats($general_stats)?>
</p>

<!-- Graph for month stats -->
<hr noshade width="90%">
<p>
<a name="DAYGRAPH">
<table width="90%" border="0" cellspacing="1" cellpadding="0" align=center>
 <tr class="stats_border"><td> 
  <table width="100%" border="0" cellspacing="1" cellpadding="10">
   <tr><td class="stats_title" colspan=2><?printf(TITLE_DAILY_GRAPH, $site, $month_name)?></td></tr>
<?php
 $img1 = "wa_bar_graph.$ext?site=$site&graph=monthstats&month=$month&year=$year&width=680&height=200&hits=1";
 $img2 = "wa_bar_graph.$ext?site=$site&graph=monthstats&month=$month&year=$year&width=680&height=200&logins=1&visits=1&posts=1";
?>
   <tr bgcolor=white> 
    <td align=center>
     <img src="<?echo $img1?>" align="absmiddle" width=680 height=200 alt="<?printf(ALT_MONTH_IMG1, $site, $month_name)?>">
	</td>
   </tr>
   <tr bgcolor=white> 
    <td align=center>
     <img src="<?echo $img2?>" align="absmiddle" width=680 height=200 alt="<?printf(ALT_MONTH_IMG2, $site, $month_name)?>">
    </td>
   </tr>
  </table>
 </td></tr>
</table>

<!-- Month daily stats -->
<p>
<a name="DAYSTATS">
<?dspMonthDailyStats($daily_stats)?>
</p>

</body>
</html>