<?PHP

/*
 *	$Id: site_fields.php,v 1.8 2001/11/08 15:23:10 mdruilhe Exp $
 *	Description for site table
 */

$admin_table = 1;

unset ($bn_var);
unset ($db_var);
unset ($bn_var_size);
unset ($bn_bind_var);
unset ($bn_html_var);
unset ($list_var);

$bn_var = array (
	"unixdate",		// timestamp (creation date)
	"rank",			// order of forum/category
	"bn_name",		// Name of forum/category
	"bn_db",		// Table of forum
	"bn_title",		// short description
	"descr",		// long description
	"state",		// 0: inactive, 1: active, L: locked, C: closed 
	"type",			// pub: public, reg: registered, rest: restricted, priv: private
	"moderated",	// 0=no, 1=yes
	"owner",		// Main (first) moderator for this forum
	"totalnotes",	// total # of notes (messages/articles) in forum
	"totalthreads",	// total # of threads (topics) in forum
	"lastnote",		// datetime of last note in forum
	"category",		// category (1 if category, 0 if forum)
	"att_size",		// total size of attachments (in bytes)
	"att_count",	// total # of attachments in this forum
	"totalusers"	// total # of registered users in site/forum (RFU)
);

$bn_var_size["unixdate"]="INT";
$bn_var_size["rank"]="INT";
$bn_var_size["bn_name"]="64";
$bn_var_size["bn_db"]="64";
$bn_var_size["bn_title"]="255";
$bn_var_size["descr"]="255";
$bn_var_size["state"]="1";
$bn_var_size["type"]="10";
$bn_var_size["moderated"]="INT";
$bn_var_size["owner"]="32";
$bn_var_size["totalnotes"]="INT";
$bn_var_size["totalthreads"]="INT";
$bn_var_size["lastnote"]="INT";
$bn_var_size["category"]="INT";
$bn_var_size["att_size"]="INT";
$bn_var_size["att_count"]="INT";
$bn_var_size["totalusers"]="INT";

$bn_bind_var["bn_name"]=1;
$bn_bind_var["bn_title"]=1;
$bn_bind_var["descr"]=1;
$bn_bind_var["type"]=1;

reset ($bn_var);
while ( list($var) = each($bn_var) ) {
	$list_var[$var] = 1;
}

?>
