<?php

/*
 *	W-AGORA 4.0
 *	-----------
 *	$Id: forgot_password.php,v 1.8 2001/08/29 15:59:23 mdruilhe Exp $
 *	Usage:		Generate a new password if lost
 *	Authors:	Jeff Haug <jeff@hozt.com>
 *				Marc Druilhe <mdruilhe@w-agora.net> 
 *
 */

$no_cookie=1;
require ("init.inc");

# Send to forgot password page if defined
# --------------------------------
	$newURL = $auth->getForgotPasswordURL();
	if (is_string($newURL)) {
		if (empty($newURL))
			msgForm (msg(185, "This feature has been disabled in this site"), "$WA_SELF", "back");
		else
        		header("Location: $newURL");
		exit;
	}

# If Creation form have been submitted
# ------------------------------------
if (isset($go)) {

	$go=0;

#	Check for required fields
#	-------------------------
	if (empty ($userid)) {
		MsgForm (msg(99, "You must enter a userid before the system can generate a new password."),"$WA_SELF", "back");
		exit;
	}

	if ($userid == "admin") {
		MsgForm (msg(100, "Administrator password cannot be changed here!"), "$WA_SELF", "back");
		exit;
	}

#	get userid / password
#	-----------------------
	$u = $db->getUser($site, $userid);
	if (!is_array ($u) ) {
		msgForm (msg(101, "The userid '$userid' was not found, please contact the administrator"), "$WA_SELF?site=$site", "back");
		exit;
	}

#  Update password for this user in the users table
#  ------------------------------------------------
	$passwd = $auth->genPassword();
	$u_fields["password"] = md5($passwd);
	$ret = $db->updateUser ($site, $userid, $u_fields);
	 
	if ($ret < 0) {
		msgForm (msg(94, "could not change password for the user \$userid, please contact the administrator"), "$WA_SELF?site=$site", "back");
	}

# now send password to the address of this user
# ---------------------------------------------
	include "$inc_dir/mail.$ext";
	mail_password ($userid, $passwd, $u["useraddress"]);
	display_header ("Change password", $header_footer);
	msgForm (msg(102, "Your new password was mailed to you."), "$main_page?site=$site", "", "_top");
	display_footer ($header_footer);

	exit;
}

#  -------------------------------------------
#  Initialize default values then display FORM
#  -------------------------------------------

	$userid = (isset($userid)) ? $userid : "";

	display_header ("Forgot password", $header_footer);
	beginForm();
	hiddenField ("go", "1");
	if (!empty($bn_forgot_form) && file_exists("${bn_dir}/${bn_forgot_form}") ) {
		include "${bn_dir}/${bn_forgot_form}";
	} elseif ( file_exists("${bn_dir_default}/forgot_password_form.$ext") ) {
		include "${bn_dir_default}/forgot_password_form.$ext";
	} else {
		table_header (msg(103, "Enter your userid below and we will generate a temporary password and email to your registered account."), 390);
?> 
    <center><table width="90%" cellpadding="4" cellspacing="0"><tbody>
      <tr> 
        <td width="19%" nowrap><strong><?dspMsg(96, "Login (user id)");?></strong>: &nbsp;&nbsp;</td>
        <td width="81%"><?textField ("userid", $userid, 20, 32);?></td>
      </tr>
      <tr valign="bottom"> 
        <td colspan="2" align="center">
		  <?submitButton ("submit", msg(104, "Generate New Password") );?>
        </td>
      </tr></tbody>
    </table>
  </center>
  <br>
<?php
		table_footer();
	}
	endForm();
	display_footer ($header_footer);
?>
