<?PHP

/*
 *	W-AGORA 4.0
 *	-----------
 *	$Id: viewnote.php,v 1.12 2002/06/10 17:41:35 mdruilhe Exp $
 *	Usage:		include file - display a note 
 *	Authors:	Marc Druilhe <mdruilhe@w-agora.net>
 */

# set URLs to be displayed in the the note (or toolbar)
# -----------------------------------------------------

	// REPLY
	$reply_link="";
	if ($bn_thread) {
		$reply_text = msg(50, LABEL_REPLY_MESSAGE);
		if ($bn_view_reply) {
			$reply_url = "#FORM";
			$reply_link = anchor ($reply_url, "", $reply_text, msg (165, ALT_REPLY_MESSAGE), $link_class );
		} else {
			$reply_url = "post.$ext?bn=$bn&key=$key";
			$reply_link = anchorWindow ($reply_url, $reply_text, msg (165, ALT_REPLY_MESSAGE), $bn_win_width, $bn_win_height, $link_class);
		}
	}

	// EDIT
	if ($bn_modify) {
		$edit_url = "edit.$ext?bn=$bn&key=$viewkey";
		$edit_text = msg(60, LABEL_EDIT_MESSAGE);
		$edit_link = anchorWindow ($edit_url, $edit_text, msg (166, ALT_EDIT_MESSAGE), $bn_win_width, $bn_win_height, $link_class);
	}

	// DELETE
	$delete_url = "";
	if ($bn_delete) {
		$delete_url = "delete.$ext?bn=$bn&key=$viewkey";
		$delete_text = msg(42, LABEL_DELETE_MESSAGE);
		$delete_link = anchor ($delete_url, "", $delete_text, msg (167, ALT_DELETE_MESSAGE), $link_class);
	}

	// SHOW PROFILE
	$show_profile_url = "";
	if ($userid != "guest") {
	    $show_profile_url = "profile.$ext?bn=$bn&showuser=$userid";
		$show_profile_text = msg(187, "<img src=\"$icon_dir/profile.gif\" width=15 height=15 border=0>");
		$show_profile_link = anchor ($show_profile_url, "", $show_profile_text, sprintf (ALT_SHOW_PROFILE, $userid), $link_class );
	}
	
	// USER PRIVILEGES
	if (isset($user_userpriv) ) {
		$user_priv = $GLOBALS['user_privs'][$user_userpriv];    
	}

# Gets attachment if any
# ----------------------
	$att_size = "";
	$att_type = "";
	$att_name = "";
	$att_url = "";
	$att_link = "";
	$attachments = "";
	$att_icon = "";
	$num_cells = (isset($GLOBALS["att_num_cells"])) ? $GLOBALS["att_num_cells"] : 5; // number of cells per row

	$att = $db->getAttachments ($bn_db, $viewkey);
	if (is_array($att)) {
		$att_count = count($att);
		$attachments = "\n<table border=0 cellpadding=15 width=\"100%\">\n<tr>";
		$ncell = 0;
		for ($i=0; $i<$att_count; $i++) {
			$att_id        = $att[$i]["att_id"];
			$att_ids[$i]   = $att_id;
			$att_name      = $att[$i]["att_name"];
			$att_names[$i] = $att_name;
			$att_type      = $att[$i]["att_type"];
			$att_types[$i] = $att_type;
			$att_size      = (integer) $att[$i]["att_size"];
			$att_sizes[$i] = $att_size;
			$att_url       = "getfile.$ext?bn=$bn&key=$viewkey&att_id=$att_id";
			$att_urls[$i]  = $att_url;
			$att_inline    = $att[$i]["inline"];
			$att_link      = getAttachmentUrl ($viewkey, $att_id, "$bn_dir_notes/$att_id.$att_name", $att_type, $att_size, $att_inline);
			$att_links[$i] = $att_link;
			// check for full row
			if (++$ncell > $num_cells)
			{
				$attachments .= "</tr>\n<tr>";
				$ncell = 1;
			}

			// If this attachment is literaly displayed, skip
			// rest of row and display the attachment in a row
			// by itself.

 			if (getAttDisplayMode($att_type, $att_inline) != ATT_DSP_LINK) {
				if ($ncell > 1)	{
					// fill up rest of row
					while ($ncell++ <= $num_cells)
						$attachments .= "<td>&nbsp;</td>";
					// and start new row
					$attachments .= "</tr>\n<tr>";
				}

				// force a new row after this attachment
				$ncell = $num_cells + 1;
				$td = "<td colspan=$num_cells>";
			} else {
				$td = "<td>";
			}
			$attachments .= $td.$att_link."</td>";
			eval ("\$item = (empty(\$msg[193])) ? \"\$att_name\" : \"$msg[193]\";");
			$att_list_text .= "\n$item";
			$att_list["$att_id"] = $item;
		}
		$attachments .= "</tr></table>";

		// Set drop down menu with attachments list
		$msg74 = str_replace('"','\"', $msg[74]);
		eval("\$att_icon = \"$msg74\";");
		$att_list_box = getListBox ("att_id", $att_list, "", 0, "window.location=('getfile.$ext?site=$site&bn=$bn&key=$viewkey&att_id='+this.options[this.selectedIndex].value)");
		$att_list_form = "<form action=\"getfile.$ext\"><input type=\"hidden\" name=\"bn\" value=\"$bn\"><input type=\"hidden\" name=\"key\" value=\"$viewkey\">".msg(57).$att_list_box."<input type=\"submit\" value=\"".msg(194,"download")."\"></form>";
	}

# Display message (static HTML file or dynamic according to the configuration
# ---------------------------------------------------------------------------
	if ($bn_doc_type == "static") {
		if (empty($filename) || $filename == "none") {
			$formated_date = formated_date ($unixdate);
			$body = format_text($body);
			$doc=str_replace('"','\"', $bn_doc_var);
			eval ("echo stripSlashes(\"$doc\n\");");
		} elseif (file_exists ("$bn_dir_notes/$filename")) {
			readFile ("$bn_dir_notes/$filename");
		} else {
			MsgForm (Msg(10), "list.$ext", "");
			display_footer ($header_footer);
		}
	} else {
		$formated_date = formated_date ($unixdate);

		if (isSet($body)) {
			$body = format_text($body);
		}
		if (!empty($pattern)) {
			$terms = split_search_terms(urldecode(stripslashes($pattern)));
			unset($pattern);
			reset($terms);
			while (list(,$pattern)=each($terms) ) {
				if(substr($pattern, 0, 1) != '-') {
					$body = eregi_replace ("$pattern", msg (139, '<font color="000000"><b style="background: #ffff99">'.$pattern.'</b></font>'), $body);
					// $subject = eregi_replace ("$pattern", msg (139, '<font color="000000"><b style="background: #ffff99">'.$pattern.'</b></font>'), $subject);
				}  
			}

		}
		print "\n<!-- TEMPLATE -->";
		$doc=str_replace('"','\"', $bn_doc_var);
		eval ("print stripSlashes(\"$doc\n\");");
	}

?>
