<?PHP

/*
 *	W-AGORA 4.1
 *	-----------
 *	$Id: lang_en.inc,v 1.23 2002/06/05 16:45:19 mdruilhe Exp $
 *	Usage:			Localized strings constant
 *	Description:	This script is used to define localized strings used by the application
 *	Author:			Alexandre GHEZ (aghez@decan.fr)
 */

	define 	(YES, 'Yes');
	define 	(NO, 'No');
	define	(TITLE_ERROR, 'Error');

	define 	(LABEL_NONE,	'None');
	define 	(LABEL_NOTICE,	'Notice');
	define 	(LABEL_CANCEL,	'Cancel');
	define 	(LABEL_SAVE,	'Save');
	define 	(LABEL_CONFIRM,	'Confirm');
	define 	(LABEL_UNDO,	'Undo');
	define 	(LABEL_RESET,	'Reset');
	define 	(LABEL_HOURS,	'hours');
	define 	(LABEL_YES,		'Yes');
	define 	(LABEL_NO,		'No');
	define	(LABEL_SITES_AVAILABLE,	'Available sites');

	define	(BUTTON_BACK, 	'Back');
	define	(BUTTON_DELETE, 'Delete');

	define 	(BUTTON_OK,		'OK');

	//////////////
	//init.inc & others
	//////////////
	define 	(LABEL_JUMP_TO,		'Jump to ');
	define	(LABEL_GO,  		'Go');

	define	(USER_STATE_LOCKED,		'Locked');
	define	(USER_STATE_ACTIVE,		'Active');
	define	(USER_STATE_PENDING,	'Pending');

	define	(FORUM_TYPE_PUBLIC,		'Public');
	define	(FORUM_TYPE_REGISTERED,	'registered');
	define	(FORUM_TYPE_RESTRICTED,	'Restricted');
	define	(FORUM_TYPE_PRIVATE,	'Private');

	define	(FORUM_STATE_INACTIVE,	'Inactive');
	define	(FORUM_STATE_ACTIVE	,	'Active');
	define	(FORUM_STATE_LOCKED,	'Locked');
	define	(FORUM_STATE_CLOSED,	'Closed');

	define	(LABEL_ADMIN, 'admin');
	define	(ALT_ADMIN_SITE, 'Go to site administration');


	//////////////
	//browse.php
	//////////////
	define	(LABEL_BROWSE_SERVER, 'Browse server');
	define	(ERROR_NO_BROWSE_SERVER, 'Browse server is not allowed');

	/////////////
	//Close.php
	/////////////
	define	(LABEL_CLOSE_THREAD,'Close thread');
	define	(LABEL_THREAD_CLOSED, 'Thread has been closed');
	define	(LABEL_THREAD_OPENED, 'Thread has been (re)open');
	define	(LABEL_ASK_CLOSE_THREAD, 'Do you wish to close the following Thread?');
	define	(LABEL_ASK_OPEN_THREAD, 'Do you wish to (re)open the following Thread?');

	//////////////
	//Delete.php
	////////////
	define	(LABEL_DELETE_NOTE, 'Delete note');

	//////////////
	//Download_forum.php
	////////////
	define	(LABEL_SUBSCRIBE, 'Subscribe');
	define	(LABEL_RECEIVE_UPDATES, 'Receive updates to this thread');
	define	(LABEL_CLOSE_OPEN_THREAD, 'Close/(re)open thread');
	define	(LABEL_NEXT_THREAD, 'Next thread');
	define	(LABEL_TOP, 'Top');
	define	(TITLE_DOWNLOAD_FORUM, 'Download complete forum');
	define	(ERROR_NO_FORUM_SPECIFIED, 'You must specify a forum');
	define	(LABEL_SHOW_ALL,'Display all');
	define	(LABEL_SHOW_ACTIVE_THREADS, 'Show active threads since:');

	//////////////
	//Download_thread.php
	////////////
	define	(TITLE_DOWNLOAD_THREAD, 'Download complete thread');
	define	(LABEL_SPECIFY_THREAD, 'You must specify a thread');
	define	(LABEL_DELETE_THIS_MESSAGE, 'Delete this message');
	define	(LABEL_THREAD_ALREADY_CLOSED, 'This thread is closed, you can not append messages anymore');

	//////////////
	//change_password.php
	////////////
	define	(ERROR_FEATURE_DISABLED, 'This feature has been disabled in this site');
	define	(LABEL_NEW_PASSWORD_TWICE, 'New password must be set and must be entered twice, please verify');
	define	(ERROR_NO_PASSWORD_CHANGE, 'Could not change password for the user %s, please contact the administrator');
	define	(LABEL_PASSWORD_CHANGED, 'Your password has been changed');
	define	(ERROR_INVALID_LOGIN_PASSWORD, 'Invalid login/password');
	define	(TITLE_CHANGE_USER_PASSWORD, 'Change password for user');
	define	(LABEL_CHANGE_PASSWORD,  			"Change password");
	define	(LABEL_USER_LOGIN, 'Login (user id):');
	define	(LABEL_USER_NEW_PASSWORD, 'New password:');
	define	(LABEL_USER_NEW_PASSWORD_AGAIN, 'New password (again):');
	define	(LABEL_USER_PASSWORD, 'Password:');

	//////////////////
	// Profile.php
	/////////////////
	define (LABEL_ROOT, 'System Administrator');
	define (LABEL_ADMINISTRATOR, 'Administrator');
	define (LABEL_MODERATOR, 'Forum Moderator');
	define (LABEL_USER, 'User');
	define (ERROR_LOGIN_REGISTER, 'Please, <a href="%s">login</a> or <a href="%s">register</a> in this site before editing your profile');

	///////////////
	// login.php
	///////////////
	define	(TITLE_WELCOME, 'Welcome');
	define	(MSG_WELCOME,	'<br><br><h3 align=center>Welcome %s<br>%s</h3></p>');	// Username, url
	define	(ALT_WELCOME,	'return to home page');

	/////////////////
	// misc. Classes
	////////////////
	define (MSG_WARNING,		"<b>Warning:</b> <tt>%s</tt><br>\n%s<br>"); // text, reason
	define (MSG_ERROR,			"<b><font color=\"red\">%s error: </font></b><tt>%s</tt><br>\n%s<br>\n"); // component, msg, reason
	define (MSG_SESSION_HALTED,	'Session halted.');
	define (ERROR_CODE_WAS,		'Error code was: <tt>%s</tt>');

	//////////////////////
	// include/form.php
	/////////////////////
	define (COLUMN_ATTACHMENTS,		'Name:');
	define (COLUMN_TYPE,			'Type:');
	define (COLUMN_SIZE,			'Attachments:');
	define (COLUMN_INLINE,			'Inline:');
	define (LABEL_UPLOAD,			'Send file');
	define (LABEL_COPY,				'Copy file');
	define (LABEL_DELETE,			'Delete selected files');
	define (ERROR_ALREADY_SUBMITED, 'This page has been submitted, please be patient');
	define (ERROR_SELECT_FILE,		'You must select a file');
	define (ERROR_SELECT_DEL_FILE,	'You must choose the attachment you want to delete');
	define (ERROR_MISSING_FIELD,	'You must fill this field (%s)');
	define (CONFIRM_SEND_FILE,		'Send file now ?');
	define (CONFIRM_DEL_FILE,		'Delete selected files ?');
	define (TITLE_REPLY_FORM,		'Reply to this message');
	define (TITLE_EDIT_FORM,		'Edit this message');
	define (TITLE_POST_FORM,		'Post a new message');
	define (TITLE_ATTACHMENTS,		'<b>Attachments :</b>');

	/////////////////////////
	// include/viewnote.php
	/////////////////////////
	define	(LABEL_REPLY_MESSAGE,	'reply');
	define	(ALT_REPLY_MESSAGE,		'Reply to this message');
	define	(LABEL_EDIT_MESSAGE,	'edit');
	define	(ALT_EDIT_MESSAGE,		'Modify this message');
	define	(LABEL_DELETE_MESSAGE,	'delete');
	define	(ALT_DELETE_MESSAGE,	'Delete this message');
	define	(ALT_SHOW_PROFILE,		'Show profile of %s');

	////////////////////////////
	// include/fileupload.php
	////////////////////////////
	define (ERROR_FILE_TOO_BIG,		'The size of this file exceed the maximum file size for this forum');
	define (ERROR_INVALID_FILE_TYPE,'This file type is not allowed in this forum');
	define (ERROR_NO_FILE,			'could not upload <b>%s</b> (%s) - Check file size');
	define (ERROR_FILE_NOT_SAVED,	'Error while uploading file <b>%s</b> (%s) - File not saved');
	define (ERROR_FILE_COPY,		'Error while while copying file <b>%s</b>');
	define (MSG_FILE_ATTACHED,		'File %s is attached to the note. Use this URL to download it : %s'); // $attachment, $att_url

	////////////////////
	// include/auth.php
	////////////////////
	define	(LABEL_PLEASE_LOGIN,   	'Please enter your login');
	define	(LABEL_SITE_LOGIN,   	'Please identify yourself in the site \'%s\'');
	define	(ERROR_INVALID_LOGIN,   'Invalid login, please re-enter your login.');
	define 	(LABEL_USERNAME,   		'User');
	define 	(LABEL_PASSWORD,   		'Password');
	define	(LABEL_DO_LOGIN,   		'Login');
	define	(LABEL_REGISTER,   		'Register');
	define	(LABEL_FORGOT_PASSWORD,	'Forgot password?');

	//////////////////////////
	// include/dbaccess.php
	/////////////////////////
	define (ERROR_DB_NOT_SUPPORTED,	'<b>%s</b> support is not enabled in your PHP configuration<br> Check your php.ini, recompile or ask your ISP');


	//////////////////////////
	// users.php
	/////////////////////////

	define (TITLE_USERS_LIST,		'<h2>Users list</h2>');

	define (MSG_NO_USER,			'No user');

	define (LABEL_ALL_USERS,		'All users');
	define (LABEL_FULL_DISPLAY,		'Full display');
	define (LABEL_SIMPLE_DISPLAY,	'Simple display');
	define (LABEL_DISPLAY,			'Display');
	
	define (LABEL_PREV_USERS,	"<img src=\"$icon_dir/prev.gif\" border=0 width=24 height=22 				alt='Previous'>");
	define (LABEL_NEXT_USERS,	"<img src=\"$icon_dir/next.gif\" border=0 width=24 height=22 alt='Next'>");
	define (LABEL_END_USERS,	"<img src=\"$icon_dir/end.gif\" border=0 width=24 height=22 alt='End'>");
	define (LABEL_BEGIN_USERS,	"<img src=\"$icon_dir/begin.gif\" border=0 width=24 height=22 alt='Begin'>");

	define (ALT_PROFILE,			'User profile');

	define (COLUMN_ID,				'ID');
	define (COLUMN_NAME,			'Name');
	define (COLUMN_JOIN_DATE,		'Join date');
	define (COLUMN_ADDRESS,			'E-mail');
	define (COLUMN_HOME_PAGE,		'Home page');
	define (COLUMN_LOGINS,			'Logins');
	define (COLUMN_POSTS,			'Posts');
	define (COLUMN_ICQ,				'ICQ');
	define (COLUMN_AIM,				'AIM');
	define (COLUMN_MSN,				'MSN');
	define (COLUMN_YAHOO,			'Yahoo!');

	//////////////////////////
	// search.php
	/////////////////////////
	define (LABEL_ALL_AUTHORS,	'All users');
	define (LABEL_ALL_FORUMS,	'All forums');
	define (LABEL_THIS_FORUM,	'This forum');
?>
