<?
/*
 *	W-AGORA 4.1
 *	-----------
 *	$Id: stats_de.inc,v 1.5 2002/05/09 19:34:11 rschaefer Exp $
 *	Usage:			Stats localized strings constants (German translation
 *	Description:		This script is used to define strings used by the stats part of the application
 *	Author:			Syloo (syloo@w-agora.net)
 *				German translation by Ralf Schaefer (ralf.schaefer@gmx.ch) 
 */

define	(TITLE_STATS,			'Nutzungsstatistik fr die Site <br><U>%s</U>');
define	(LABEL_GENERATED_ON,	'Generiert auf : %s');

define	(LABEL_YEAR_STATS,		'[Jahresstatistik]');
define	(LABEL_FORUM_SUMMARY,	'[Zusammenfassung nach Foren]');
define	(LABEL_TOP_TEN,			'[TOP 10]');
define	(LABEL_ADMIN,			'[Administration]');

define	(TITLE_GENERAL_STATS,	'Allgemeine Statistik');
define	(TITLE_YEAR_ACTIVITY,	'Aktivitt der letzten 12 Monate');
define	(TITLE_TOP_TEN,			'Top 10');

define	(LABEL_DAY_STATS,			'[Tagesstatistik]');
define	(LABEL_DAY_DETAILS,			'[Tagesdetails]');
define	(LABEL_RETURN_MAIN_STATS,	'[zurck zur Hauptseite]');

/***********************************
****** General statistics
************************************/

define	(TITLE_ACTIVITY_SUMMARY, 'Zusammenfassung der Aktivitten fr die Site <font color=white><b>%s</b></font>');
define	(LABEL_FORUMS,			'Foren');
define	(LABEL_REGISTERED_U,	'Registrierte Benutzer');
define	(LABEL_SUBSCRIBED_U,	'Benutzer mit Abbonement');
define	(LABEL_THREADS,			'Diskussionen');
define	(LABEL_NOTES,			'Beitrge');
define	(LABEL_LAST_NOTE,		'Letzter Beitrag');
define	(LABEL_ATTACHMENTS,		'Anhnge');


define	(TITLE_FORUMS_STATS,	'Foren Statistik');
define	(COLUMN_THREADS,		'#Diskussionen');
define	(COLUMN_NOTES,			'#Beitrge<br>(Letztes Datum)');
define	(COLUMN_ATT,			'#Anhnge<br>(gesamte Gre)');
define	(COLUMN_REGISTERED,		'#Registriert');
define	(COLUMN_AUTHORS,		'#Authoren');
define	(COLUMN_SUBSCRIBED,		'#Abonnenten');
define	(COLUMN_HITS,			'#Zugriffe');
define	(LABEL_LAST,			'Letzter');


define	(TITLE_YEAR_GRAPH,		'Jahresstatistik fr die Site <b><font color=white>%s</font></b>');
define	(LABEL_HITS,			'Zugriffe');
define	(LABEL_LOGINS,			'Logins');
define	(LABEL_POSTS,			'Beitrge');
define	(LABEL_SUBSCRIBES,		'Abonnenten');
define	(LABEL_VISITS,			'Unterschiedliche Zugriffe');
define	(ALT_GENERAL_FREQ,		'Generelle Frequentierung der Site %s');
define	(ALT_DETAIL_FREQ,		'Detailierte Frequentierung der Site %s');


define	(TITLE_MONTHLY_STATS,	'Monatsstatistik');
define	(COLUMN_DAILY_AVG,		'Tglicher Durchschnitt');
define	(COLUMN_MONTHLY_TOT,	'Monatssumme');
define	(COLUMN_MONTH,			'Monat');
define	(COLUMN_LOGINS,			'#Logins');
define	(COLUMN_SUBSCRIBES,		'#Abonnenten');
define	(COLUMN_POSTS,			'#Beitrge');
define	(COLUMN_VISITS,			'#Unterschiedliche Zugriffe');


define	(TITLE_RECENT_THREADS,	'Neuere Diskussionen');
define	(TITLE_ACTIVE_THREADS,	'Aktive Diskussionen');
define	(TITLE_READ_NOTES,		'Meistgelesene Beitrge');
define	(LABEL_RATIO,			'Verhltnis');
define	(LABEL_READ,			'Lesen');
define	(LABEL_TIMES,			'mal');


/***********************************
****** Monthly statistics
************************************/

define	(TITLE_M_GENERAL_STATS,	'Allgemeine Statistik fr die Site <b><font color=white>%s</font></b> in <b><font color=white>%s</b></font>');
define	(LABEL_DAILY_VISITS,	'Tgliche Zugriffe');


define	(TITLE_MONTH_GRAPH,		'Monatsstatistik fr die Site <b><font color=white>%s</font></b> in <b><font color=white>%s</b></font>');
define	(TITLE_DAILY_GRAPH,		'Tgliche Aktivitten auf der Site %s in %s');

define	(ALT_YEAR_IMG1,			'Monatliche Aktivitten auf der Site %s (image1)');
define	(ALT_YEAR_IMG2,			'Monatliche Aktivitten auf der Site %s (image2)');
define	(ALT_MONTH_IMG1,		'Tgliche Aktivitten auf der Site %s in %s (image1)');
define	(ALT_MONTH_IMG2,		'Tgliche Aktivitten auf der Site %s in %s (image2)');

define	(TITLE_DAILY_STATS,		'Tagesstatistik');
define	(COLUMN_DAY,			'Tag');
define	(COLUMN_DAILY_TOT,		'Tagessummen');

?>
