<?php

/*
 *	W-AGORA 4.0
 *	-----------
 *	$Id: post.php,v 1.12 2002/06/11 09:43:17 mdruilhe Exp $
 *	Usage:		Display Post/Reply form
 *	Author:		Marc Druilhe <mdruilhe@w-agora.com>
 *
 */	

	if (isset ($HTTP_POST_VARS["key"])) {
		$key = $HTTP_POST_VARS["key"];
	} elseif (isset ($HTTP_GET_VARS["key"])) {
		$key = $HTTP_GET_VARS["key"];
	}

	$bn_action = (empty($key)) ? "post" : "reply";
	$bn_action_mode="W";
	$popup=1;
	require ("init.inc");

# A forum must be selected
# ------------------------
	if (empty($bn)) {
		die (msg(119, "you must define a forum (use bn=xxx)"));
	}

# action=reply => Initialize fields (subject, reply address & quoted reply)
# -------------------------------------------------------------------------
	if ($bn_action == "reply") {
		$note = $db->getNote ($bn_db, $key);
		if (!$note) {
			display_header ("Post", $header_footer);
			MsgForm (Msg(10), "list.$ext", "close");
			display_footer ($header_footer);
		}

// Raptor: Closed Thread
		if (($note["closed"]==1) && !$is_moderator) {
			display_header ("Post", $header_footer);
			msgForm (msg(140, "This thread is closed, you can not append messages anymore"), "view.$ext?bn=$bn&key=$key", "close");
			display_footer ($header_footer);
		}

		// set user's name and e-mail
		$reply_name = stripSlashes($note["username"]);
		$reply_address = stripSlashes($note["useraddress"]);
		
		// set subject field
		$subject = kill_quotes(stripSlashes($note["subject"]));
		if (!eregi ("^re:", $subject)) {
			$subject = "Re: $subject";
		}

		// set BODY field

		if (!empty($note["body"]) ) {
			$reply_body = strip_url (strip_smileys (stripSlashes ($note["body"]) ) );
			if ($reply_name != "") {
				$quoted_text = $reply_name . msg(45, " wrote:") . "\n";
			}
			$quoted_text .= quote_text($reply_body);
			$quoted_text = kill_quotes($quoted_text);
		}
	}

# Execute before_access program
# -----------------------------
	if (!empty($bn_before_access)) {
		if (file_exists ("$bn_dir/$bn_before_access") ) {
			include "$bn_dir/$bn_before_access";
		} else {
			include "$bn_dir_default/$bn_before_access";
		}
	} elseif (file_exists ("$bn_dir_default/before_access.$ext") ) {
		include ("$bn_dir_default/before_access.$ext");
	}

# Display form
# ------------
	$setUserField = true;	// Set username and password in form fields
	$form_action = "insert.$ext";
	$back_form="post";

	display_header (msg(62, "post"), $header_footer);
	include "$inc_dir/form.$ext";

# Display footer
# --------------
	display_footer ($header_footer);
?>
