<ul>
<?php # $Id: load_users.php,v 1.1 2001/08/23 13:06:37 mdruilhe Exp $

/*
 *	 W-AGORA
 *	 -------
 *	 File:		load_users.php
 *	 Usage:		Initialize a user database from a text file
 *	 date:		November 2000
 *	 version:	4.0.0
 *	 Author:	Marc Druilhe <mdruilhe@w-agora.com>
 *   Modification: Markus Inger <privat@markus-inger.de>
 */

# file 'users.txt':
# userid|password|userpriv|username|useraddress|details|mailok|forum
#
# example:
# marc|xxxx|user|Marc Druilhe|mdruilhe@w-agora.com|A user|Y|site1_forum1

	$site = "mysite";
	$userfile = "user.txt";

	include "init_admin.inc";
	$users = file ($userfile);

	while ( list ($lineno, $user_line) = each ($users)) {

        flush();
        sleep(1);
        $now = time();
		$user = explode ("|", $user_line);

		$userid = $user[0];
		$password = $user[1];
		$userpriv = $user[2];
		$username = $user[3];
		$useraddress = $user[4];
		$details = $user[5];
		$mailok = $user[6];
		$forum = $user[7];

  		$u_fields["userid"] = $userid;
		$u_fields["password"] = md5($password);
		$u_fields["userpriv"] = $userpriv;
		$u_fields["username"] = $username;
		$u_fields["useraddress"] = $useraddress;
		$u_fields["details"] = $details;
		$u_fields["mailok"] = $mailok;
		$u_fields["lastlogin"] = 0;
		$u_fields["totallogins"] = 0;

        echo "<li> $lineno Trying: $userid<br>";

        $ret = $db->insertUser ($site, $u_fields);
		if ($ret > 0) {
			echo "$userid successfully added to the database\n";
		}

        unset ($u_fields);

		if (!empty ($forum)) {
			$uf_fields["bn_name"]=$forum;
			$uf_fields["listpriv"] = 1;
			$uf_fields["readpriv"] = 1;
			$uf_fields["writepriv"] = 1;
			$uf_fields["modpriv"] = 0;
			$uf_fields["state"] = 1;
			$ret = $db->InsertPrivs ($site, $forum, $userid, $uf_fields);
          	if ($ret == 0) {
			  echo "$userid successfully added to the forumdatabase\n";
		    }
		}
	}

?>
</ul>