<?
/*
 *	W-AGORA 4.0
 *	-----------
 *	$Id: users.php,v 1.5 2002/06/10 17:41:23 mdruilhe Exp $
 *	Usage:		Users list
 *	Author:		Syloo (syloo@w-agora.net)
 */


include ("init.inc");


function url ($url, $text="", $status="") {
		$text = empty($text) ? htmlSpecialChars($url) : $text;
		$status = str_replace('"', '',$status);
		$jsstatus = empty($status) ? "" : " onMouseover=\"window.status='" . strip_tags(str_replace ("'", "\'", $status)) . "';return true\" onMouseout=\"window.status='';return true\"";
		$helptext = empty($status) ? "$text" : "<ACRONYM TITLE=\"" . strip_tags($status) . "\">$text</ACRONYM>";
		return "<A HREF=\"$url\" $jsstatus class=label>$helptext</A>";
	}


if ($pattern == LABEL_ALL_USERS) {
    unset($pattern);
}

switch ($sort) {
    case "join":	$sort_db = "unixdate desc";
					break;
	case "logins":	$sort_db = "totallogins desc"; 
					break;
	case "notes":	$sort_db = "totalposts desc";
					break;
	case "name":	$sort_db = "username";
					break;
    default:		$sort_db = "userid";
					break;
}

global $nb_users_list;

$f = (empty($f))? 0 : $f;
$l = $f + $nb_users_list;
$p = $f - $nb_users_list;


$users = $db->getUsers($site,"","",$pattern,"",$sort_db);
$total_users = count($users);
$f = (empty($f))? 0 : $f;
$l = ($total_users > $f + $nb_users_list)? $f + $nb_users_list : $f;
$p = ($f - $nb_users_list < 0)? 0 : $f - $nb_users_list;
$f_end = ($total_users - $nb_users_list > 0)? $total_users - $nb_users_list : 0;

$first_u = $f + 1;
$last_u = ($first_u + $nb_users_list - 1 > $total_users)? $total_users : $first_u + $nb_users_list - 1;
$int_dsp = LABEL_DISPLAY . ": $first_u - $last_u / $total_users";

$next_link = "<a href=\"$WA_SELF?site=$site&pattern=$pattern&sort=notes&full=$full&f=$l\">" . LABEL_NEXT_USERS . "</a>";
$previous_link = "<a href=\"$WA_SELF?site=$site&pattern=$pattern&sort=notes&full=$full&f=$p\">" . LABEL_PREV_USERS . "</a>";
$end_link = "<a href=\"$WA_SELF?site=$site&pattern=$pattern&sort=notes&full=$full&f=$f_end\">" . LABEL_END_USERS . "</a>";
$begin_link = "<a href=\"$WA_SELF?site=$site&pattern=$pattern&sort=notes&full=$full&f=0\">" . LABEL_BEGIN_USERS . "</a>";

$categories = $db->getCategories($site);
$site_title = $categories[0];

$alpha = array('A','B','C','D','E','F','G','H','I','J','K','L','M','N','O','P','Q','R','S','T','U','V','W','X','Y','Z',LABEL_ALL_USERS);
 

display_header (TITLE_USERS_LIST, $header_footer);

echo "<center>" . TITLE_USERS_LIST;
reset($alpha);
while (list($k,$let) = each($alpha)) {
	if ($let == $pattern) {
	    echo "[$let] ";
	}elseif (empty($pattern) && ($let == LABEL_ALL_USERS)) {
	    echo "[$let] ";
	}else {
	    echo "<a href=\"$WA_SELF?site=$site&pattern=$let\">[$let]</a> ";
	}    
}

if (!is_array($users)) {
    echo "<p align=center><hr noshade width=90%>" . MSG_NO_USER . "</p>";
}else {
?>
	<hr noshade width="90%">
	<p align=left>
	<?echo ($full == 1)? "<a href=\"$WA_SELF?site=$site&pattern=$pattern&sort=name&full=0&f=$f\">" . LABEL_SIMPLE_DISPLAY . "</a>" : "<a href=\"$WA_SELF?site=$site&pattern=$pattern&sort=name&full=1&f=$f\">" . LABEL_FULL_DISPLAY . "</a>";?>
	</p>
	<table width="90%" align=center border="0" cellspacing="0" cellpadding="1">
	  <tr class=table_border> 
		<td> 
		  <table width="100%" border="0" cellspacing="1" cellpadding="2">
			<tr> 
			  <td class=table_title><?echo COLUMN_ID?></td>
			  <td class=table_title><?echo "<a href=\"$WA_SELF?site=$site&pattern=$pattern&sort=name&full=$full\">" .  COLUMN_NAME . "</a>"?></td>
			  <td class=table_title><?echo "<a href=\"$WA_SELF?site=$site&pattern=$pattern&sort=join&full=$full\">" .  COLUMN_JOIN_DATE . "</a>"?></td>
			  <td class=table_title><?echo COLUMN_ADDRESS?></td>
			  <td align=right class=table_title><?echo "<a href=\"$WA_SELF?site=$site&pattern=$pattern&sort=logins&full=$full\">" .  COLUMN_LOGINS . "</a>"?></td>
			  <td align=right class=table_title><?echo "<a href=\"$WA_SELF?site=$site&pattern=$pattern&sort=notes&full=$full\">" .  COLUMN_POSTS . "</a>"?></td>
<?
	if ($full) {	?>
			  <td align=right class=table_title><?echo COLUMN_HOME_PAGE?></td>
			  <td align=right class=table_title><?echo COLUMN_ICQ?></td>
			  <td align=right class=table_title><?echo COLUMN_AIM?></td>
			  <td align=right class=table_title><?echo COLUMN_MSN?></td>
			  <td align=right class=table_title><?echo COLUMN_YAHOO?></td>			
	<?
	}//if
	echo "</tr>";
	$i = 0;
	while (($i < $f) && (next($users))) {
	    $i++;
	}
	while (($i < $f + $nb_users_list) && (list($k,$user) = each($users))) {
		extract($user);
		$user_profile_url = "profile.$ext?site=$site&showuser=$userid";
		$address_link = (empty($useraddress))? "-": "<a href=\"mailto:$useraddress\" class=label>$useraddress</a>";
		$home_link = (empty($homepage))? "-": url($homepage,"<img src='icons/home.gif' border=0>",COLUMN_HOME_PAGE . ": $homepage");
		$icq_link = (empty($icq))? "-": url($user_profile_url,"<img src='icons/icq.gif' border=0>",COLUMN_ICQ . ": $icq");
		$aim_link = (empty($aim))? "-": url($user_profile_url,"<img src='icons/aim.gif' border=0>",COLUMN_AIM . ": $aim");
		$msn_link = (empty($msn))? "-": url($user_profile_url,"<img src='icons/msnm.gif' border=0>",COLUMN_MSN . ": $msn");
		$yahoo_link = (empty($yahoo))? "-": url($user_profile_url,"<img src='icons/yim.gif' border=0>",COLUMN_YAHOO . ": $yahoo");
		?>
			<tr> 
			  <td class=table_label><?echo url($user_profile_url,$userid,ALT_PROFILE);?></td>
			  <td class=table_label><?echo $username?></td>
			  <td class=table_value><?echo formated_date($unixdate)?></td>
			  <td class=table_value nowrap><?echo $address_link?></td>
			  <td align=right class=table_value><?echo $totallogins?></td>
			  <td align=right class=table_value><?echo $totalposts?></td>
<?
			if ($full) { ?>
			  <td align=right class=table_value><?echo $home_link?></td>
			  <td align=right class=table_value><?echo $icq_link?></td>
			  <td align=right class=table_value><?echo $aim_link?></td>
			  <td align=right class=table_value><?echo $msn_link?></td>
			  <td align=right class=table_value><?echo $yahoo_link?></td>			
<?
			}//if
		echo "</tr>";
		$i++;
	}//while
}//if?>
      </table>
	  </td></tr>
	  <tr><td align=center class=table_title>
<?php
	echo "&nbsp;$begin_link&nbsp;&nbsp;$previous_link&nbsp;&nbsp;$int_dsp&nbsp;&nbsp;$next_link&nbsp;&nbsp;$end_link";
	echo "</td></tr></table></center>";

	display_footer($header_footer);
?>